SettingsWindow = Turbine.UI.Lotro.GoldWindow();
SettingsWindow:SetText("RaidHealz");
SettingsWindow:SetSize(1700, 800);
SettingsWindow:SetPosition(50, 50);
SettingsWindow.VisibleChanged = function()
	if SettingsWindow:IsVisible() then
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_SettingsVisible", "true");
	else
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_SettingsVisible", "false");
	end
end

if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_SettingsVisible") ~= nil then
	if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_SettingsVisible") == "true" then
		SettingsWindow:SetVisible(true);
	else
		SettingsWindow:SetVisible(false);
	end
end

if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_VitalsState") ~= "false" then
	VitalsButtonState = true;
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, true );
else
	VitalsButtonState = false;
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, false );
end

function SettingsWindow:Closed(sender, args)
	Turbine.PluginManager.LoadPlugin("RaidHealzReloader");
end

GeneralLabel = Turbine.UI.Label();
GeneralLabel:SetParent(SettingsWindow);
GeneralLabel:SetSize(200, 20);
GeneralLabel:SetPosition(30, 50);
GeneralLabel:SetText(GeneralLabelString);

PartyVitalsLabel = Turbine.UI.Label();
PartyVitalsLabel:SetParent(SettingsWindow);
PartyVitalsLabel:SetSize(200, 20);
PartyVitalsLabel:SetPosition(30, 80);
PartyVitalsLabel:SetText(PartyVitalsLabelString);

PartyVitalsBox = LabelledComboBox();
PartyVitalsBox:SetParent(SettingsWindow);
PartyVitalsBox:SetSize(200, 20);
PartyVitalsBox:SetPosition(250, 75);
PartyVitalsBox:AddItem(ShowString, true);
PartyVitalsBox:AddItem(HideString, false);
PartyVitalsBox:SetSelection(Settings.PartyVitalsVisible);

PlayerVitalsLabel = Turbine.UI.Label();
PlayerVitalsLabel:SetParent(SettingsWindow);
PlayerVitalsLabel:SetSize(200, 20);
PlayerVitalsLabel:SetPosition(30, 110);
PlayerVitalsLabel:SetText(PlayerVitalsLabelString);

PlayerVitalsBox = LabelledComboBox();
PlayerVitalsBox:SetParent(SettingsWindow);
PlayerVitalsBox:SetSize(200, 20);
PlayerVitalsBox:SetPosition(250, 105);
PlayerVitalsBox:AddItem(ShowString, true);
PlayerVitalsBox:AddItem(HideString, false);
PlayerVitalsBox:SetSelection(Settings.PlayerVitalsVisible);

TargetVitalsLabel = Turbine.UI.Label();
TargetVitalsLabel:SetParent(SettingsWindow);
TargetVitalsLabel:SetSize(200, 20);
TargetVitalsLabel:SetPosition(30, 140);
TargetVitalsLabel:SetText(TargetVitalsLabelString);

TargetVitalsBox = LabelledComboBox();
TargetVitalsBox:SetParent(SettingsWindow);
TargetVitalsBox:SetSize(200, 20);
TargetVitalsBox:SetPosition(250, 135);
TargetVitalsBox:AddItem(ShowString, true);
TargetVitalsBox:AddItem(HideString, false);
TargetVitalsBox:SetSelection(Settings.TargetVitalsVisible);

GridLayoutLabel3 = Turbine.UI.Label();
GridLayoutLabel3:SetParent(SettingsWindow);
GridLayoutLabel3:SetSize(200, 20);
GridLayoutLabel3:SetPosition(30, 170);
GridLayoutLabel3:SetText(GridLayoutLabel3String);

GridLayout3Box = LabelledComboBox();
GridLayout3Box:SetParent(SettingsWindow);
GridLayout3Box:SetSize(200, 20);
GridLayout3Box:SetPosition(250, 165);
GridLayout3Box:AddItem("1 x 3", 1);
GridLayout3Box:AddItem("3 x 1", 2);
if Settings.GridLayout3[1] == 1 then
	GridLayout3Box:SetSelection(1);
else
	GridLayout3Box:SetSelection(2);
end

GridLayoutLabel6 = Turbine.UI.Label();
GridLayoutLabel6:SetParent(SettingsWindow);
GridLayoutLabel6:SetSize(200, 20);
GridLayoutLabel6:SetPosition(30, 200);
GridLayoutLabel6:SetText(GridLayoutLabel6String);

GridLayout6Box = LabelledComboBox();
GridLayout6Box:SetParent(SettingsWindow);
GridLayout6Box:SetSize(200, 20);
GridLayout6Box:SetPosition(250, 195);
GridLayout6Box:AddItem("1 x 6", 1);
GridLayout6Box:AddItem("2 x 3", 2);
GridLayout6Box:AddItem("3 x 2", 3);
GridLayout6Box:AddItem("6 x 1", 4);
if Settings.GridLayout6[1] == 1 then
	GridLayout6Box:SetSelection(1);
elseif Settings.GridLayout6[1] == 2 then
	GridLayout6Box:SetSelection(2);
elseif Settings.GridLayout6[1] == 3 then
	GridLayout6Box:SetSelection(3);
else
	GridLayout6Box:SetSelection(4);
end

GridLayoutLabel12 = Turbine.UI.Label();
GridLayoutLabel12:SetParent(SettingsWindow);
GridLayoutLabel12:SetSize(200, 20);
GridLayoutLabel12:SetPosition(30, 230);
GridLayoutLabel12:SetText(GridLayoutLabel12String);

GridLayout12Box = LabelledComboBox();
GridLayout12Box:SetParent(SettingsWindow);
GridLayout12Box:SetSize(200, 20);
GridLayout12Box:SetPosition(250, 225);
GridLayout12Box:AddItem("1 x 12", 1);
GridLayout12Box:AddItem("2 x 6", 2);
GridLayout12Box:AddItem("3 x 4", 3);
GridLayout12Box:AddItem("4 x 3", 4)
GridLayout12Box:AddItem("6 x 2", 5);
GridLayout12Box:AddItem("12 x 1", 6);
if Settings.GridLayout12[1] == 1 then
	GridLayout12Box:SetSelection(1);
elseif Settings.GridLayout12[1] == 2 then
	GridLayout12Box:SetSelection(2);
elseif Settings.GridLayout12[1] == 3 then
	GridLayout12Box:SetSelection(3);
elseif Settings.GridLayout12[1] == 4 then
	GridLayout12Box:SetSelection(4);
elseif Settings.GridLayout12[1] == 6 then
	GridLayout12Box:SetSelection(5);
else
	GridLayout12Box:SetSelection(6);
end

GridLayoutLabel18 = Turbine.UI.Label();
GridLayoutLabel18:SetParent(SettingsWindow);
GridLayoutLabel18:SetSize(200, 20);
GridLayoutLabel18:SetPosition(30, 260);
GridLayoutLabel18:SetText(GridLayoutLabel18String);

GridLayout18Box = LabelledComboBox();
GridLayout18Box:SetParent(SettingsWindow);
GridLayout18Box:SetSize(200, 20);
GridLayout18Box:SetPosition(250, 255);
GridLayout18Box:AddItem("1 x 18", 1);
GridLayout18Box:AddItem("2 x 9", 2);
GridLayout18Box:AddItem("3 x 6", 3);
GridLayout18Box:AddItem("6 x 3", 4)
GridLayout18Box:AddItem("9 x 2", 5);
GridLayout18Box:AddItem("18 x 1", 6);
if Settings.GridLayout18[1] == 1 then
	GridLayout18Box:SetSelection(1);
elseif Settings.GridLayout18[1] == 2 then
	GridLayout18Box:SetSelection(2);
elseif Settings.GridLayout18[1] == 3 then
	GridLayout18Box:SetSelection(3);
elseif Settings.GridLayout18[1] == 6 then
	GridLayout18Box:SetSelection(4);
elseif Settings.GridLayout18[1] == 9 then
	GridLayout18Box:SetSelection(5);
else
	GridLayout18Box:SetSelection(6);
end

GridLayoutLabel24 = Turbine.UI.Label();
GridLayoutLabel24:SetParent(SettingsWindow);
GridLayoutLabel24:SetSize(200, 20);
GridLayoutLabel24:SetPosition(30, 290);
GridLayoutLabel24:SetText(GridLayoutLabel24String);

GridLayout24Box = LabelledComboBox();
GridLayout24Box:SetParent(SettingsWindow);
GridLayout24Box:SetSize(200, 20);
GridLayout24Box:SetPosition(250, 285);
GridLayout24Box:AddItem("1 x 24", 1);
GridLayout24Box:AddItem("2 x 12", 2);
GridLayout24Box:AddItem("3 x 8", 3);
GridLayout24Box:AddItem("4 x 6", 4)
GridLayout24Box:AddItem("6 x 4", 5);
GridLayout24Box:AddItem("8 x 3", 6);
GridLayout24Box:AddItem("12 x 2", 7);
GridLayout24Box:AddItem("24 x 1", 8);
if Settings.GridLayout24[1] == 1 then
	GridLayout24Box:SetSelection(1);
elseif Settings.GridLayout24[1] == 2 then
	GridLayout24Box:SetSelection(2);
elseif Settings.GridLayout24[1] == 3 then
	GridLayout24Box:SetSelection(3);
elseif Settings.GridLayout24[1] == 4 then
	GridLayout24Box:SetSelection(4);
elseif Settings.GridLayout24[1] == 6 then
	GridLayout24Box:SetSelection(5);
elseif Settings.GridLayout24[1] == 8 then
	GridLayout24Box:SetSelection(6);
elseif Settings.GridLayout24[1] == 12 then
	GridLayout24Box:SetSelection(7);
else
	GridLayout24Box:SetSelection(8);
end

FillModeLabel = Turbine.UI.Label();
FillModeLabel:SetParent(SettingsWindow);
FillModeLabel:SetSize(200, 20);
FillModeLabel:SetPosition(30, 320);
FillModeLabel:SetText(FillModeLabelString);

FillModeBox = LabelledComboBox();
FillModeBox:SetParent(SettingsWindow);
FillModeBox:SetSize(200, 20);
FillModeBox:SetPosition(250, 315);
FillModeBox:AddItem(HorizontalString, 1);
FillModeBox:AddItem(VerticalString, 2);
FillModeBox:SetSelection(Settings.FillMode);

GridDistanceLabel = Turbine.UI.Label();
GridDistanceLabel:SetParent(SettingsWindow);
GridDistanceLabel:SetSize(200, 20);
GridDistanceLabel:SetPosition(30, 350);
GridDistanceLabel:SetText(GridDistanceString);

GridDistanceBox = Turbine.UI.Lotro.TextBox();
GridDistanceBox:SetParent(SettingsWindow);
GridDistanceBox:SetSize(160, 20);
GridDistanceBox:SetPosition(250, 345);
GridDistanceBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
GridDistanceBox:SetText(Settings.GridDistance);

ClassIconsLabel = Turbine.UI.Label();
ClassIconsLabel:SetParent(SettingsWindow);
ClassIconsLabel:SetSize(200, 20);
ClassIconsLabel:SetPosition(30, 380);
ClassIconsLabel:SetText(ClassIconsString);

ClassIconsBox = LabelledComboBox();
ClassIconsBox:SetParent(SettingsWindow);
ClassIconsBox:SetSize(200, 20);
ClassIconsBox:SetPosition(250, 375);
ClassIconsBox:AddItem(ShowString, true);
ClassIconsBox:AddItem(HideString, false);
ClassIconsBox:SetSelection(Settings.ClassIcon.Visible);

ClassIconsSizeLabel = Turbine.UI.Label();
ClassIconsSizeLabel:SetParent(SettingsWindow);
ClassIconsSizeLabel:SetSize(200, 20);
ClassIconsSizeLabel:SetPosition(30, 410);
ClassIconsSizeLabel:SetText(ClassIconsSizeString);

ClassIconsSizeBox = LabelledComboBox();
ClassIconsSizeBox:SetParent(SettingsWindow);
ClassIconsSizeBox:SetSize(200, 20);
ClassIconsSizeBox:SetPosition(250, 405);
ClassIconsSizeBox:AddItem(SmallString, 1);
ClassIconsSizeBox:AddItem(BigString, 2);
ClassIconsSizeBox:SetSelection(Settings.ClassIcon.Size);
ClassIconsSizeBox:SetEnabled(false);

ClassIconsPositionLabel = Turbine.UI.Label();
ClassIconsPositionLabel:SetParent(SettingsWindow);
ClassIconsPositionLabel:SetSize(200, 20);
ClassIconsPositionLabel:SetPosition(30, 440);
ClassIconsPositionLabel:SetText(ClassIconsPositionString);

ClassIconsPositionBox = LabelledComboBox();
ClassIconsPositionBox:SetParent(SettingsWindow);
ClassIconsPositionBox:SetSize(200, 20);
ClassIconsPositionBox:SetPosition(250, 435);
ClassIconsPositionBox:AddItem(TopLeftString, 1);
ClassIconsPositionBox:AddItem(TopRightString, 2);
ClassIconsPositionBox:AddItem(BottomLeftString, 3);
ClassIconsPositionBox:AddItem(BottomRightString, 4);
ClassIconsPositionBox:SetSelection(Settings.ClassIcon.Position);
ClassIconsPositionBox:SetEnabled(false);

LeaderIconLabel = Turbine.UI.Label();
LeaderIconLabel:SetParent(SettingsWindow);
LeaderIconLabel:SetSize(200, 20);
LeaderIconLabel:SetPosition(30, 470);
LeaderIconLabel:SetText(LeaderIconString);

LeaderIconBox = LabelledComboBox();
LeaderIconBox:SetParent(SettingsWindow);
LeaderIconBox:SetSize(200, 20);
LeaderIconBox:SetPosition(250, 465);
LeaderIconBox:AddItem(ShowString, true);
LeaderIconBox:AddItem(HideString, false);
LeaderIconBox:SetSelection(Settings.LeaderIcon.Visible);
LeaderIconBox:SetEnabled(false);

LeaderIconPositionLabel = Turbine.UI.Label();
LeaderIconPositionLabel:SetParent(SettingsWindow);
LeaderIconPositionLabel:SetSize(200, 20);
LeaderIconPositionLabel:SetPosition(30, 500);
LeaderIconPositionLabel:SetText(LeaderIconPositionString);

LeaderIconPositionBox = LabelledComboBox();
LeaderIconPositionBox:SetParent(SettingsWindow);
LeaderIconPositionBox:SetSize(200, 20);
LeaderIconPositionBox:SetPosition(250, 495);
LeaderIconPositionBox:AddItem(TopLeftString, 1);
LeaderIconPositionBox:AddItem(TopRightString, 2);
LeaderIconPositionBox:AddItem(BottomLeftString, 3);
LeaderIconPositionBox:AddItem(BottomRightString, 4);
LeaderIconPositionBox:SetSelection(Settings.LeaderIcon.Position);
LeaderIconPositionBox:SetEnabled(false);

PlayerNameOptionsLabel = Turbine.UI.Label();
PlayerNameOptionsLabel:SetParent(SettingsWindow);
PlayerNameOptionsLabel:SetSize(200, 20);
PlayerNameOptionsLabel:SetPosition(30, 530);
PlayerNameOptionsLabel:SetText(PlayerNameOptionsString);

MaxCharsLabel = Turbine.UI.Label();
MaxCharsLabel:SetParent(SettingsWindow);
MaxCharsLabel:SetSize(200, 20);
MaxCharsLabel:SetPosition(30, 560);
MaxCharsLabel:SetText(MaxCharsString);

MaxCharsBox = LabelledComboBox();
MaxCharsBox:SetParent(SettingsWindow);
MaxCharsBox:SetSize(200, 20);
MaxCharsBox:SetPosition(250, 555);
MaxCharsBox:AddItem(3, 3);
MaxCharsBox:AddItem(4, 4);
MaxCharsBox:AddItem(5, 5);
MaxCharsBox:AddItem(6, 6);
MaxCharsBox:AddItem(7, 7);
MaxCharsBox:AddItem(8, 8);
MaxCharsBox:AddItem(9, 9);
MaxCharsBox:AddItem(10, 10);
MaxCharsBox:AddItem(UnlimitedString, 0);
MaxCharsBox:SetSelection(Settings.PlayerName.MaxCharacters);

NameFontLabel = Turbine.UI.Label();
NameFontLabel:SetParent(SettingsWindow);
NameFontLabel:SetSize(200, 20);
NameFontLabel:SetPosition(30, 590);
NameFontLabel:SetText(NameFontString);

NameFontBox = LabelledComboBox();
NameFontBox:SetParent(SettingsWindow);
NameFontBox:SetSize(200, 20);
NameFontBox:SetPosition(250, 585);
NameFontBox:AddItem("Arial 12", 1);
NameFontBox:AddItem("TrajanPro 13", 2);
NameFontBox:AddItem("TrajanPro 14", 3);
NameFontBox:AddItem("TrajanPro 15", 4);
NameFontBox:AddItem("TrajanPro 16", 5);
NameFontBox:AddItem("TrajanPro 18", 6);
NameFontBox:AddItem("TrajanPro 19", 7);
NameFontBox:AddItem("TrajanPro 20", 8);
NameFontBox:AddItem("TrajanPro 21", 9);
NameFontBox:AddItem("TrajanPro 23", 10);
NameFontBox:AddItem("TrajanPro 24", 11);
NameFontBox:AddItem("TrajanPro 25", 12);
NameFontBox:AddItem("TrajanPro 26", 13);
NameFontBox:AddItem("TrajanPro 28", 14);
NameFontBox:AddItem("TrajanProBold 16", 15);
NameFontBox:AddItem("TrajanProBold 22", 16);
NameFontBox:AddItem("TrajanProBold 24", 17);
NameFontBox:AddItem("TrajanProBold 25", 18);
NameFontBox:AddItem("TrajanProBold 30", 19);
NameFontBox:AddItem("TrajanProBold 36", 20);
NameFontBox:AddItem("Verdana 10", 21);
NameFontBox:AddItem("Verdana 12", 22);
NameFontBox:AddItem("Verdana 14", 23);
NameFontBox:AddItem("Verdana 16", 24);
NameFontBox:AddItem("Verdana 18", 25);
NameFontBox:AddItem("Verdana 20", 26);
NameFontBox:AddItem("Verdana 22", 27);
NameFontBox:AddItem("Verdana 23", 28);
NameFontBox:SetSelection(findfontnumber(Settings.PlayerName.Font));

AlertFontLabel = Turbine.UI.Label();
AlertFontLabel:SetParent(SettingsWindow);
AlertFontLabel:SetSize(200, 20);
AlertFontLabel:SetPosition(30, 620);
AlertFontLabel:SetText(AlertFontString);

AlertFontBox = LabelledComboBox();
AlertFontBox:SetParent(SettingsWindow);
AlertFontBox:SetSize(200, 20);
AlertFontBox:SetPosition(250, 615);
AlertFontBox:AddItem("Arial 12", 1);
AlertFontBox:AddItem("TrajanPro 13", 2);
AlertFontBox:AddItem("TrajanPro 14", 3);
AlertFontBox:AddItem("TrajanPro 15", 4);
AlertFontBox:AddItem("TrajanPro 16", 5);
AlertFontBox:AddItem("TrajanPro 18", 6);
AlertFontBox:AddItem("TrajanPro 19", 7);
AlertFontBox:AddItem("TrajanPro 20", 8);
AlertFontBox:AddItem("TrajanPro 21", 9);
AlertFontBox:AddItem("TrajanPro 23", 10);
AlertFontBox:AddItem("TrajanPro 24", 11);
AlertFontBox:AddItem("TrajanPro 25", 12);
AlertFontBox:AddItem("TrajanPro 26", 13);
AlertFontBox:AddItem("TrajanPro 28", 14);
AlertFontBox:AddItem("TrajanProBold 16", 15);
AlertFontBox:AddItem("TrajanProBold 22", 16);
AlertFontBox:AddItem("TrajanProBold 24", 17);
AlertFontBox:AddItem("TrajanProBold 25", 18);
AlertFontBox:AddItem("TrajanProBold 30", 19);
AlertFontBox:AddItem("TrajanProBold 36", 20);
AlertFontBox:AddItem("Verdana 10", 21);
AlertFontBox:AddItem("Verdana 12", 22);
AlertFontBox:AddItem("Verdana 14", 23);
AlertFontBox:AddItem("Verdana 16", 24);
AlertFontBox:AddItem("Verdana 18", 25);
AlertFontBox:AddItem("Verdana 20", 26);
AlertFontBox:AddItem("Verdana 22", 27);
AlertFontBox:AddItem("Verdana 23", 28);
AlertFontBox:SetSelection(findfontnumber(Settings.PlayerName.AlertFont));

AlertColorLabel = Turbine.UI.Label();
AlertColorLabel:SetParent(SettingsWindow);
AlertColorLabel:SetSize(200, 20);
AlertColorLabel:SetPosition(30, 650);
AlertColorLabel:SetText(AlertColorString);

AlertColorBox = Turbine.UI.Lotro.TextBox();
AlertColorBox:SetParent(SettingsWindow);
AlertColorBox:SetSize(160, 20);
AlertColorBox:SetPosition(250, 645);
AlertColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
--for k, v in pairs(Settings.PlayerName.AlertColor) do Turbine.Shell.WriteLine(k.." "..v) end
AlertColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.AlertColor)));
AlertColorBox:SetText(colorToHex(Settings.PlayerName.AlertColor));

AlertStringLabel = Turbine.UI.Label();
AlertStringLabel:SetParent(SettingsWindow);
AlertStringLabel:SetSize(200, 20);
AlertStringLabel:SetPosition(30, 680);
AlertStringLabel:SetText(AlertStringString);

AlertStringBox = Turbine.UI.Lotro.TextBox();
AlertStringBox:SetParent(SettingsWindow);
AlertStringBox:SetSize(160, 20);
AlertStringBox:SetPosition(250, 675);
AlertStringBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
AlertStringBox:SetText(Settings.PlayerName.AlertString);

AlertDurationLabel = Turbine.UI.Label();
AlertDurationLabel:SetParent(SettingsWindow);
AlertDurationLabel:SetSize(200, 20);
AlertDurationLabel:SetPosition(30, 710);
AlertDurationLabel:SetText(AlertDurationString);

AlertDurationBox = Turbine.UI.Lotro.TextBox();
AlertDurationBox:SetParent(SettingsWindow);
AlertDurationBox:SetSize(160, 20);
AlertDurationBox:SetPosition(250, 705);
AlertDurationBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
AlertDurationBox:SetText(Settings.PlayerName.AlertDuration);

DefaultNameColorLabel = Turbine.UI.Label();
DefaultNameColorLabel:SetParent(SettingsWindow);
DefaultNameColorLabel:SetSize(200, 20);
DefaultNameColorLabel:SetPosition(30, 740);
DefaultNameColorLabel:SetText(DefaultNameColorString);

DefaultNameColorBox = Turbine.UI.Lotro.TextBox();
DefaultNameColorBox:SetParent(SettingsWindow);
DefaultNameColorBox:SetSize(160, 20);
DefaultNameColorBox:SetPosition(250, 735);
DefaultNameColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
DefaultNameColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.DefaultColor)));
DefaultNameColorBox:SetText(colorToHex(Settings.PlayerName.DefaultColor));

NameOptionsContinuedLabel = Turbine.UI.Label();
NameOptionsContinuedLabel:SetParent(SettingsWindow);
NameOptionsContinuedLabel:SetSize(250, 20);
NameOptionsContinuedLabel:SetPosition(450, 50);
NameOptionsContinuedLabel:SetText(NameOptionsContinuedString);

ClassColorsVisibleLabel = Turbine.UI.Label();
ClassColorsVisibleLabel:SetParent(SettingsWindow);
ClassColorsVisibleLabel:SetSize(200, 20);
ClassColorsVisibleLabel:SetPosition(450, 80);
ClassColorsVisibleLabel:SetText(ClassColorsVisibleString);

ClassColorsVisibleBox = LabelledComboBox();
ClassColorsVisibleBox:SetParent(SettingsWindow);
ClassColorsVisibleBox:SetSize(200, 20);
ClassColorsVisibleBox:SetPosition(670, 75);
ClassColorsVisibleBox:AddItem(StandardColorString, false);
ClassColorsVisibleBox:AddItem(ClassColorString, true);
ClassColorsVisibleBox:SetSelection(Settings.PlayerName.ClassColorsVisible);

NameColorBeorningLabel = Turbine.UI.Label();
NameColorBeorningLabel:SetParent(SettingsWindow);
NameColorBeorningLabel:SetSize(200, 20);
NameColorBeorningLabel:SetPosition(450, 110);
NameColorBeorningLabel:SetText(BeorningColorString);

NameColorBeorningBox = Turbine.UI.Lotro.TextBox();
NameColorBeorningBox:SetParent(SettingsWindow);
NameColorBeorningBox:SetSize(160, 20);
NameColorBeorningBox:SetPosition(670, 105);
NameColorBeorningBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorBeorningBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning])));
NameColorBeorningBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning]));

NameColorBurglarLabel = Turbine.UI.Label();
NameColorBurglarLabel:SetParent(SettingsWindow);
NameColorBurglarLabel:SetSize(200, 20);
NameColorBurglarLabel:SetPosition(450, 140);
NameColorBurglarLabel:SetText(BurglarColorString);

NameColorBurglarBox = Turbine.UI.Lotro.TextBox();
NameColorBurglarBox:SetParent(SettingsWindow);
NameColorBurglarBox:SetSize(160, 20);
NameColorBurglarBox:SetPosition(670, 135);
NameColorBurglarBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorBurglarBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar])));
NameColorBurglarBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar]));

NameColorCaptainLabel = Turbine.UI.Label();
NameColorCaptainLabel:SetParent(SettingsWindow);
NameColorCaptainLabel:SetSize(200, 20);
NameColorCaptainLabel:SetPosition(450, 170);
NameColorCaptainLabel:SetText(CaptainColorString);

NameColorCaptainBox = Turbine.UI.Lotro.TextBox();
NameColorCaptainBox:SetParent(SettingsWindow);
NameColorCaptainBox:SetSize(160, 20);
NameColorCaptainBox:SetPosition(670, 165);
NameColorCaptainBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorCaptainBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain])));
NameColorCaptainBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain]));

NameColorChampionLabel = Turbine.UI.Label();
NameColorChampionLabel:SetParent(SettingsWindow);
NameColorChampionLabel:SetSize(200, 20);
NameColorChampionLabel:SetPosition(450, 200);
NameColorChampionLabel:SetText(ChampionColorString);

NameColorChampionBox = Turbine.UI.Lotro.TextBox();
NameColorChampionBox:SetParent(SettingsWindow);
NameColorChampionBox:SetSize(160, 20);
NameColorChampionBox:SetPosition(670, 195);
NameColorChampionBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorChampionBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion])));
NameColorChampionBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion]));

NameColorGuardianLabel = Turbine.UI.Label();
NameColorGuardianLabel:SetParent(SettingsWindow);
NameColorGuardianLabel:SetSize(200, 20);
NameColorGuardianLabel:SetPosition(450, 230);
NameColorGuardianLabel:SetText(GuardianColorString);

NameColorGuardianBox = Turbine.UI.Lotro.TextBox();
NameColorGuardianBox:SetParent(SettingsWindow);
NameColorGuardianBox:SetSize(160, 20);
NameColorGuardianBox:SetPosition(670, 225);
NameColorGuardianBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorGuardianBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian])));
NameColorGuardianBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian]));

NameColorHunterLabel = Turbine.UI.Label();
NameColorHunterLabel:SetParent(SettingsWindow);
NameColorHunterLabel:SetSize(200, 20);
NameColorHunterLabel:SetPosition(450, 260);
NameColorHunterLabel:SetText(HunterColorString);

NameColorHunterBox = Turbine.UI.Lotro.TextBox();
NameColorHunterBox:SetParent(SettingsWindow);
NameColorHunterBox:SetSize(160, 20);
NameColorHunterBox:SetPosition(670, 255);
NameColorHunterBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorHunterBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter])));
NameColorHunterBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter]));

NameColorLoreMasterLabel = Turbine.UI.Label();
NameColorLoreMasterLabel:SetParent(SettingsWindow);
NameColorLoreMasterLabel:SetSize(200, 20);
NameColorLoreMasterLabel:SetPosition(450, 290);
NameColorLoreMasterLabel:SetText(LoreMasterColorString);

NameColorLoreMasterBox = Turbine.UI.Lotro.TextBox();
NameColorLoreMasterBox:SetParent(SettingsWindow);
NameColorLoreMasterBox:SetSize(160, 20);
NameColorLoreMasterBox:SetPosition(670, 285);
NameColorLoreMasterBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorLoreMasterBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster])));
NameColorLoreMasterBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster]));

NameColorMinstrelLabel = Turbine.UI.Label();
NameColorMinstrelLabel:SetParent(SettingsWindow);
NameColorMinstrelLabel:SetSize(200, 20);
NameColorMinstrelLabel:SetPosition(450, 320);
NameColorMinstrelLabel:SetText(MinstrelColorString);

NameColorMinstrelBox = Turbine.UI.Lotro.TextBox();
NameColorMinstrelBox:SetParent(SettingsWindow);
NameColorMinstrelBox:SetSize(160, 20);
NameColorMinstrelBox:SetPosition(670, 315);
NameColorMinstrelBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorMinstrelBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel])));
NameColorMinstrelBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel]));

NameColorRuneKeeperLabel = Turbine.UI.Label();
NameColorRuneKeeperLabel:SetParent(SettingsWindow);
NameColorRuneKeeperLabel:SetSize(200, 20);
NameColorRuneKeeperLabel:SetPosition(450, 350);
NameColorRuneKeeperLabel:SetText(RuneKeeperColorString);

NameColorRuneKeeperBox = Turbine.UI.Lotro.TextBox();
NameColorRuneKeeperBox:SetParent(SettingsWindow);
NameColorRuneKeeperBox:SetSize(160, 20);
NameColorRuneKeeperBox:SetPosition(670, 345);
NameColorRuneKeeperBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorRuneKeeperBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper])));
NameColorRuneKeeperBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper]));

NameColorWardenLabel = Turbine.UI.Label();
NameColorWardenLabel:SetParent(SettingsWindow);
NameColorWardenLabel:SetSize(200, 20);
NameColorWardenLabel:SetPosition(450, 380);
NameColorWardenLabel:SetText(WardenColorString);

NameColorWardenBox = Turbine.UI.Lotro.TextBox();
NameColorWardenBox:SetParent(SettingsWindow);
NameColorWardenBox:SetSize(160, 20);
NameColorWardenBox:SetPosition(670, 375);
NameColorWardenBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorWardenBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden])));
NameColorWardenBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden]));

NameColorBlackArrowLabel = Turbine.UI.Label();
NameColorBlackArrowLabel:SetParent(SettingsWindow);
NameColorBlackArrowLabel:SetSize(200, 20);
NameColorBlackArrowLabel:SetPosition(450, 410);
NameColorBlackArrowLabel:SetText(BlackArrowColorString);

NameColorBlackArrowBox = Turbine.UI.Lotro.TextBox();
NameColorBlackArrowBox:SetParent(SettingsWindow);
NameColorBlackArrowBox:SetSize(160, 20);
NameColorBlackArrowBox:SetPosition(670, 405);
NameColorBlackArrowBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorBlackArrowBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow])));
NameColorBlackArrowBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow]));

NameColorDefilerLabel = Turbine.UI.Label();
NameColorDefilerLabel:SetParent(SettingsWindow);
NameColorDefilerLabel:SetSize(200, 20);
NameColorDefilerLabel:SetPosition(450, 440);
NameColorDefilerLabel:SetText(DefilerColorString);

NameColorDefilerBox = Turbine.UI.Lotro.TextBox();
NameColorDefilerBox:SetParent(SettingsWindow);
NameColorDefilerBox:SetSize(160, 20);
NameColorDefilerBox:SetPosition(670, 435);
NameColorDefilerBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorDefilerBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler])));
NameColorDefilerBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler]));

NameColorReaverLabel = Turbine.UI.Label();
NameColorReaverLabel:SetParent(SettingsWindow);
NameColorReaverLabel:SetSize(200, 20);
NameColorReaverLabel:SetPosition(450, 470);
NameColorReaverLabel:SetText(ReaverColorString);

NameColorReaverBox = Turbine.UI.Lotro.TextBox();
NameColorReaverBox:SetParent(SettingsWindow);
NameColorReaverBox:SetSize(160, 20);
NameColorReaverBox:SetPosition(670, 465);
NameColorReaverBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorReaverBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver])));
NameColorReaverBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver]));

NameColorStalkerLabel = Turbine.UI.Label();
NameColorStalkerLabel:SetParent(SettingsWindow);
NameColorStalkerLabel:SetSize(200, 20);
NameColorStalkerLabel:SetPosition(450, 500);
NameColorStalkerLabel:SetText(StalkerColorString);

NameColorStalkerBox = Turbine.UI.Lotro.TextBox();
NameColorStalkerBox:SetParent(SettingsWindow);
NameColorStalkerBox:SetSize(160, 20);
NameColorStalkerBox:SetPosition(670, 495);
NameColorStalkerBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorStalkerBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker])));
NameColorStalkerBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker]));

NameColorWarLeaderLabel = Turbine.UI.Label();
NameColorWarLeaderLabel:SetParent(SettingsWindow);
NameColorWarLeaderLabel:SetSize(200, 20);
NameColorWarLeaderLabel:SetPosition(450, 530);
NameColorWarLeaderLabel:SetText(WarLeaderColorString);

NameColorWarLeaderBox = Turbine.UI.Lotro.TextBox();
NameColorWarLeaderBox:SetParent(SettingsWindow);
NameColorWarLeaderBox:SetSize(160, 20);
NameColorWarLeaderBox:SetPosition(670, 525);
NameColorWarLeaderBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorWarLeaderBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader])));
NameColorWarLeaderBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader]));

NameColorWeaverLabel = Turbine.UI.Label();
NameColorWeaverLabel:SetParent(SettingsWindow);
NameColorWeaverLabel:SetSize(200, 20);
NameColorWeaverLabel:SetPosition(450, 560);
NameColorWeaverLabel:SetText(WeaverColorString);

NameColorWeaverBox = Turbine.UI.Lotro.TextBox();
NameColorWeaverBox:SetParent(SettingsWindow);
NameColorWeaverBox:SetSize(160, 20);
NameColorWeaverBox:SetPosition(670, 555);
NameColorWeaverBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameColorWeaverBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver])));
NameColorWeaverBox:SetText(colorToHex(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver]));

NameFontStyleLabel = Turbine.UI.Label();
NameFontStyleLabel:SetParent(SettingsWindow);
NameFontStyleLabel:SetSize(200, 20);
NameFontStyleLabel:SetPosition(450, 590);
NameFontStyleLabel:SetText(NameFontStyleString);

NameFontStyleBox = LabelledComboBox();
NameFontStyleBox:SetParent(SettingsWindow);
NameFontStyleBox:SetSize(160, 20);
NameFontStyleBox:SetPosition(670, 585);
NameFontStyleBox:AddItem(OutlineString, 1);
NameFontStyleBox:AddItem(NoneString, 2);
if Settings.PlayerName.Outline == Turbine.UI.FontStyle.Outline then
	NameFontStyleBox:SetSelection(1);
else
	NameFontStyleBox:SetSelection(2);
end

NameOutlineColorLabel = Turbine.UI.Label();
NameOutlineColorLabel:SetParent(SettingsWindow);
NameOutlineColorLabel:SetSize(200, 20);
NameOutlineColorLabel:SetPosition(450, 620);
NameOutlineColorLabel:SetText(NameOutlineColorString);

NameOutlineColorBox = Turbine.UI.Lotro.TextBox();
NameOutlineColorBox:SetParent(SettingsWindow);
NameOutlineColorBox:SetSize(160, 20);
NameOutlineColorBox:SetPosition(670, 615);
NameOutlineColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
NameOutlineColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PlayerName.OutlineColor)));
NameOutlineColorBox:SetText(colorToHex(Settings.PlayerName.OutlineColor));

NamePositionLabel = Turbine.UI.Label();
NamePositionLabel:SetParent(SettingsWindow);
NamePositionLabel:SetSize(200, 20);
NamePositionLabel:SetPosition(450, 650);
NamePositionLabel:SetText(NamePositionString);

NamePositionBox = LabelledComboBox();
NamePositionBox:SetParent(SettingsWindow);
NamePositionBox:SetSize(160, 20);
NamePositionBox:SetPosition(670, 645);
NamePositionBox:AddItem(TopLeftString, 1);
NamePositionBox:AddItem(TopCenterString, 2);
NamePositionBox:AddItem(TopRightString, 3);
NamePositionBox:AddItem(MiddleRightString, 4);
NamePositionBox:AddItem(MiddleCenterString, 5);
NamePositionBox:AddItem(MiddleLeftString, 6);
NamePositionBox:AddItem(BottomLeftString, 7);
NamePositionBox:AddItem(BottomCenterString, 8);
NamePositionBox:AddItem(BottomRightString, 9);
NamePositionBox:SetSelection(findalignmentnumber(Settings.PlayerName.Alignment));


MoraleBarSettingsLabel = Turbine.UI.Label();
MoraleBarSettingsLabel:SetParent(SettingsWindow);
MoraleBarSettingsLabel:SetSize(200, 20);
MoraleBarSettingsLabel:SetPosition(450, 680);
MoraleBarSettingsLabel:SetText(MoraleBarSettingsString);

MoraleBarWidthLabel = Turbine.UI.Label();
MoraleBarWidthLabel:SetParent(SettingsWindow);
MoraleBarWidthLabel:SetSize(200, 20);
MoraleBarWidthLabel:SetPosition(450, 710);
MoraleBarWidthLabel:SetText(MoraleBarWidthString);

MoraleBarWidthBox = Turbine.UI.Lotro.TextBox();
MoraleBarWidthBox:SetParent(SettingsWindow);
MoraleBarWidthBox:SetSize(160, 20);
MoraleBarWidthBox:SetPosition(670, 705);
MoraleBarWidthBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
MoraleBarWidthBox:SetText(Settings.MoraleBar.Width);

MoraleBarHeightLabel = Turbine.UI.Label();
MoraleBarHeightLabel:SetParent(SettingsWindow);
MoraleBarHeightLabel:SetSize(200, 20);
MoraleBarHeightLabel:SetPosition(450, 740);
MoraleBarHeightLabel:SetText(MoraleBarHeightString);

MoraleBarHeightBox = Turbine.UI.Lotro.TextBox();
MoraleBarHeightBox:SetParent(SettingsWindow);
MoraleBarHeightBox:SetSize(160, 20);
MoraleBarHeightBox:SetPosition(670, 735);
MoraleBarHeightBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
MoraleBarHeightBox:SetText(Settings.MoraleBar.Height);

MoraleBarOptionsContinuedLabel = Turbine.UI.Label();
MoraleBarOptionsContinuedLabel:SetParent(SettingsWindow);
MoraleBarOptionsContinuedLabel:SetSize(250, 20);
MoraleBarOptionsContinuedLabel:SetPosition(870, 50);
MoraleBarOptionsContinuedLabel:SetText(MoraleBarOptionsContinuedString);

MoraleBarBackgroundLabel = Turbine.UI.Label();
MoraleBarBackgroundLabel:SetParent(SettingsWindow);
MoraleBarBackgroundLabel:SetSize(250, 20);
MoraleBarBackgroundLabel:SetPosition(870, 80);
MoraleBarBackgroundLabel:SetText(MoraleBarBackgroundString);

MoraleBarBackgroundBox = Turbine.UI.Lotro.TextBox();
MoraleBarBackgroundBox:SetParent(SettingsWindow);
MoraleBarBackgroundBox:SetSize(160, 20);
MoraleBarBackgroundBox:SetPosition(1090, 75);
MoraleBarBackgroundBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
MoraleBarBackgroundBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundColor)));
MoraleBarBackgroundBox:SetText(colorToHex(Settings.MoraleBar.BackgroundColor));

BackgroundHighlightLabel = Turbine.UI.Label();
BackgroundHighlightLabel:SetParent(SettingsWindow);
BackgroundHighlightLabel:SetSize(250, 20);
BackgroundHighlightLabel:SetPosition(870, 110);
BackgroundHighlightLabel:SetText(BackgroundHighlightString);

BackgroundHighlightBox = LabelledComboBox();
BackgroundHighlightBox:SetParent(SettingsWindow);
BackgroundHighlightBox:SetSize(160, 20);
BackgroundHighlightBox:SetPosition(1090, 105);
BackgroundHighlightBox:AddItem(YesString, true);
BackgroundHighlightBox:AddItem(NoString, false);
BackgroundHighlightBox:SetSelection(Settings.MoraleBar.BackgroundHighlightVisible);
BackgroundHighlightBox:SetEnabled(false);

BackgroundHighlight1Label = Turbine.UI.Label();
BackgroundHighlight1Label:SetParent(SettingsWindow);
BackgroundHighlight1Label:SetSize(250, 20);
BackgroundHighlight1Label:SetPosition(870, 140);
BackgroundHighlight1Label:SetText(BackgroundHighlight1String);

BackgroundHighlight1Box = Turbine.UI.Lotro.TextBox();
BackgroundHighlight1Box:SetParent(SettingsWindow);
BackgroundHighlight1Box:SetSize(160, 20);
BackgroundHighlight1Box:SetPosition(1090, 135);
BackgroundHighlight1Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BackgroundHighlight1Box:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundHighlight1)));
BackgroundHighlight1Box:SetText(colorToHex(Settings.MoraleBar.BackgroundHighlight1));

BackgroundHighlight2Label = Turbine.UI.Label();
BackgroundHighlight2Label:SetParent(SettingsWindow);
BackgroundHighlight2Label:SetSize(250, 20);
BackgroundHighlight2Label:SetPosition(870, 170);
BackgroundHighlight2Label:SetText(BackgroundHighlight2String);

BackgroundHighlight2Box = Turbine.UI.Lotro.TextBox();
BackgroundHighlight2Box:SetParent(SettingsWindow);
BackgroundHighlight2Box:SetSize(160, 20);
BackgroundHighlight2Box:SetPosition(1090, 165);
BackgroundHighlight2Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BackgroundHighlight2Box:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundHighlight2)));
BackgroundHighlight2Box:SetText(colorToHex(Settings.MoraleBar.BackgroundHighlight2));

DeadColorLabel = Turbine.UI.Label();
DeadColorLabel:SetParent(SettingsWindow);
DeadColorLabel:SetSize(250, 20);
DeadColorLabel:SetPosition(870, 200);
DeadColorLabel:SetText(DeadColorString);

DeadColorBox = Turbine.UI.Lotro.TextBox();
DeadColorBox:SetParent(SettingsWindow);
DeadColorBox:SetSize(160, 20);
DeadColorBox:SetPosition(1090, 195);
DeadColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
DeadColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundDead)));
DeadColorBox:SetText(colorToHex(Settings.MoraleBar.BackgroundDead));

LinkLostColorLabel = Turbine.UI.Label();
LinkLostColorLabel:SetParent(SettingsWindow);
LinkLostColorLabel:SetSize(250, 20);
LinkLostColorLabel:SetPosition(870, 230);
LinkLostColorLabel:SetText(LinkLostColorString);

LinkLostColorBox = Turbine.UI.Lotro.TextBox();
LinkLostColorBox:SetParent(SettingsWindow);
LinkLostColorBox:SetSize(160, 20);
LinkLostColorBox:SetPosition(1090, 225);
LinkLostColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
LinkLostColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundLinkLost)));
LinkLostColorBox:SetText(colorToHex(Settings.MoraleBar.BackgroundLinkLost));

DefaultColorLabel = Turbine.UI.Label();
DefaultColorLabel:SetParent(SettingsWindow);
DefaultColorLabel:SetSize(250, 20);
DefaultColorLabel:SetPosition(870, 260);
DefaultColorLabel:SetText(DefaultColorString);

DefaultColorBox = Turbine.UI.Lotro.TextBox();
DefaultColorBox:SetParent(SettingsWindow);
DefaultColorBox:SetSize(160, 20);
DefaultColorBox:SetPosition(1090, 255);
DefaultColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
DefaultColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultNormalColor)));
DefaultColorBox:SetText(colorToHex(Settings.MoraleBar.DefaultNormalColor));

Highlight1ColorLabel = Turbine.UI.Label();
Highlight1ColorLabel:SetParent(SettingsWindow);
Highlight1ColorLabel:SetSize(250, 20);
Highlight1ColorLabel:SetPosition(870, 290);
Highlight1ColorLabel:SetText(Highlight1ColorString);

Highlight1ColorBox = Turbine.UI.Lotro.TextBox();
Highlight1ColorBox:SetParent(SettingsWindow);
Highlight1ColorBox:SetSize(160, 20);
Highlight1ColorBox:SetPosition(1090, 285);
Highlight1ColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
Highlight1ColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultHighlight1)));
Highlight1ColorBox:SetText(colorToHex(Settings.MoraleBar.DefaultHighlight1));

Highlight2ColorLabel = Turbine.UI.Label();
Highlight2ColorLabel:SetParent(SettingsWindow);
Highlight2ColorLabel:SetSize(250, 20);
Highlight2ColorLabel:SetPosition(870, 320);
Highlight2ColorLabel:SetText(Highlight2ColorString);

Highlight2ColorBox = Turbine.UI.Lotro.TextBox();
Highlight2ColorBox:SetParent(SettingsWindow);
Highlight2ColorBox:SetSize(160, 20);
Highlight2ColorBox:SetPosition(1090, 315);
Highlight2ColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
Highlight2ColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultHighlight2)));
Highlight2ColorBox:SetText(colorToHex(Settings.MoraleBar.DefaultHighlight2));

Treshold1Label = Turbine.UI.Label();
Treshold1Label:SetParent(SettingsWindow);
Treshold1Label:SetSize(250, 20);
Treshold1Label:SetPosition(870, 350);
Treshold1Label:SetText(Treshold1String);

Treshold1Box = Turbine.UI.Lotro.TextBox();
Treshold1Box:SetParent(SettingsWindow);
Treshold1Box:SetSize(160, 20);
Treshold1Box:SetPosition(1090, 345);
Treshold1Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
--Treshold1Box:SetForeColor(Settings.MoraleBar.DefaultHighlight2);
Treshold1Box:SetText(Settings.MoraleBar.Treshold1 * 100);

Treshold2Label = Turbine.UI.Label();
Treshold2Label:SetParent(SettingsWindow);
Treshold2Label:SetSize(250, 20);
Treshold2Label:SetPosition(870, 380);
Treshold2Label:SetText(Treshold2String);

Treshold2Box = Turbine.UI.Lotro.TextBox();
Treshold2Box:SetParent(SettingsWindow);
Treshold2Box:SetSize(160, 20);
Treshold2Box:SetPosition(1090, 375);
Treshold2Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
--Treshold1Box:SetForeColor(Settings.MoraleBar.DefaultHighlight2);
Treshold2Box:SetText(Settings.MoraleBar.Treshold2 * 100);

BubbleVisibleLabel = Turbine.UI.Label();
BubbleVisibleLabel:SetParent(SettingsWindow);
BubbleVisibleLabel:SetSize(250, 20);
BubbleVisibleLabel:SetPosition(870, 410);
BubbleVisibleLabel:SetText(BubbleVisibleString);

BubbleVisibleBox = LabelledComboBox();
BubbleVisibleBox:SetParent(SettingsWindow);
BubbleVisibleBox:SetSize(160, 20);
BubbleVisibleBox:SetPosition(1090, 405);
BubbleVisibleBox:AddItem(ShowString, true);
BubbleVisibleBox:AddItem(HideString, false);
BubbleVisibleBox:SetSelection(Settings.MoraleBar.BubbleVisible);
BubbleVisibleBox:SetEnabled(false);

BubbleColorLabel = Turbine.UI.Label();
BubbleColorLabel:SetParent(SettingsWindow);
BubbleColorLabel:SetSize(250, 20);
BubbleColorLabel:SetPosition(870, 440);
BubbleColorLabel:SetText(BubbleColorString);

BubbleColorBox = Turbine.UI.Lotro.TextBox();
BubbleColorBox:SetParent(SettingsWindow);
BubbleColorBox:SetSize(160, 20);
BubbleColorBox:SetPosition(1090, 435);
BubbleColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BubbleColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BubbleColor)));
BubbleColorBox:SetText(colorToHex(Settings.MoraleBar.BubbleColor));

DreadVisibleLabel = Turbine.UI.Label();
DreadVisibleLabel:SetParent(SettingsWindow);
DreadVisibleLabel:SetSize(250, 20);
DreadVisibleLabel:SetPosition(870, 470);
DreadVisibleLabel:SetText(DreadVisibleString);

DreadVisibleBox = LabelledComboBox();
DreadVisibleBox:SetParent(SettingsWindow);
DreadVisibleBox:SetSize(160, 20);
DreadVisibleBox:SetPosition(1090, 465);
DreadVisibleBox:AddItem(ShowString, true);
DreadVisibleBox:AddItem(HideString, false);
DreadVisibleBox:SetSelection(Settings.MoraleBar.DreadVisible);
DreadVisibleBox:SetEnabled(false);

DreadColorLabel = Turbine.UI.Label();
DreadColorLabel:SetParent(SettingsWindow);
DreadColorLabel:SetSize(250, 20);
DreadColorLabel:SetPosition(870, 500);
DreadColorLabel:SetText(DreadColorString);

DreadColorBox = Turbine.UI.Lotro.TextBox();
DreadColorBox:SetParent(SettingsWindow);
DreadColorBox:SetSize(160, 20);
DreadColorBox:SetPosition(1090, 495);
DreadColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
DreadColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DreadColor)));
DreadColorBox:SetText(colorToHex(Settings.MoraleBar.DreadColor));

ClassColorsVisibleLabel_Morale = Turbine.UI.Label();
ClassColorsVisibleLabel_Morale:SetParent(SettingsWindow);
ClassColorsVisibleLabel_Morale:SetSize(250, 20);
ClassColorsVisibleLabel_Morale:SetPosition(870, 530);
ClassColorsVisibleLabel_Morale:SetText(ClassColorsVisibleString_Morale);

ClassColorsVisibleBox_Morale = LabelledComboBox();
ClassColorsVisibleBox_Morale:SetParent(SettingsWindow);
ClassColorsVisibleBox_Morale:SetSize(160, 20);
ClassColorsVisibleBox_Morale:SetPosition(1090, 525);
ClassColorsVisibleBox_Morale:AddItem(StandardColorString, false);
ClassColorsVisibleBox_Morale:AddItem(ClassColorString, true);
ClassColorsVisibleBox_Morale:SetSelection(Settings.MoraleBar.ClassColorsVisible);

MoraleLabelsVisible = Turbine.UI.Label();
MoraleLabelsVisible:SetParent(SettingsWindow);
MoraleLabelsVisible:SetSize(250, 20);
MoraleLabelsVisible:SetPosition(870, 560);
MoraleLabelsVisible:SetText(MoraleLabelsVisibleString);

MoraleLabelsVisibleBox = LabelledComboBox();
MoraleLabelsVisibleBox:SetParent(SettingsWindow);
MoraleLabelsVisibleBox:SetSize(160, 20);
MoraleLabelsVisibleBox:SetPosition(1090, 555);
MoraleLabelsVisibleBox:AddItem(ShowString, true);
MoraleLabelsVisibleBox:AddItem(HideString, false);
MoraleLabelsVisibleBox:SetSelection(Settings.MoraleLabel.Visible);

MoraleLabelsModeLabel = Turbine.UI.Label();
MoraleLabelsModeLabel:SetParent(SettingsWindow);
MoraleLabelsModeLabel:SetSize(250, 20);
MoraleLabelsModeLabel:SetPosition(870, 590);
MoraleLabelsModeLabel:SetText(MoraleLabelsModeLabelString);

MoraleLabelsModeBox = LabelledComboBox();
MoraleLabelsModeBox:SetParent(SettingsWindow);
MoraleLabelsModeBox:SetSize(160, 20);
MoraleLabelsModeBox:SetPosition(1090, 585);
MoraleLabelsModeBox:AddItem(Mode1String, 1);
MoraleLabelsModeBox:AddItem(Mode2String, 2);
MoraleLabelsModeBox:SetSelection(Settings.MoraleLabel.Mode);

MoraleLabelsShortLabel = Turbine.UI.Label();
MoraleLabelsShortLabel:SetParent(SettingsWindow);
MoraleLabelsShortLabel:SetSize(250, 20);
MoraleLabelsShortLabel:SetPosition(870, 620);
MoraleLabelsShortLabel:SetText(MoraleLabelsShortLabelString);

MoraleLabelsShortBox = LabelledComboBox();
MoraleLabelsShortBox:SetParent(SettingsWindow);
MoraleLabelsShortBox:SetSize(160, 20);
MoraleLabelsShortBox:SetPosition(1090, 615);
MoraleLabelsShortBox:AddItem(ShortString, true);
MoraleLabelsShortBox:AddItem(LongString, false);
MoraleLabelsShortBox:SetSelection(Settings.MoraleLabel.Short);

MoraleLabelsFontLabel = Turbine.UI.Label();
MoraleLabelsFontLabel:SetParent(SettingsWindow);
MoraleLabelsFontLabel:SetSize(250, 20);
MoraleLabelsFontLabel:SetPosition(870, 650);
MoraleLabelsFontLabel:SetText(MoraleLabelsFontLabelString);

MoraleLabelsFontBox = LabelledComboBox();
MoraleLabelsFontBox:SetParent(SettingsWindow);
MoraleLabelsFontBox:SetSize(200, 20);
MoraleLabelsFontBox:SetPosition(1090, 645);
MoraleLabelsFontBox:AddItem("Arial 12", 1);
MoraleLabelsFontBox:AddItem("TrajanPro 13", 2);
MoraleLabelsFontBox:AddItem("TrajanPro 14", 3);
MoraleLabelsFontBox:AddItem("TrajanPro 15", 4);
MoraleLabelsFontBox:AddItem("TrajanPro 16", 5);
MoraleLabelsFontBox:AddItem("TrajanPro 18", 6);
MoraleLabelsFontBox:AddItem("TrajanPro 19", 7);
MoraleLabelsFontBox:AddItem("TrajanPro 20", 8);
MoraleLabelsFontBox:AddItem("TrajanPro 21", 9);
MoraleLabelsFontBox:AddItem("TrajanPro 23", 10);
MoraleLabelsFontBox:AddItem("TrajanPro 24", 11);
MoraleLabelsFontBox:AddItem("TrajanPro 25", 12);
MoraleLabelsFontBox:AddItem("TrajanPro 26", 13);
MoraleLabelsFontBox:AddItem("TrajanPro 28", 14);
MoraleLabelsFontBox:AddItem("TrajanProBold 16", 15);
MoraleLabelsFontBox:AddItem("TrajanProBold 22", 16);
MoraleLabelsFontBox:AddItem("TrajanProBold 24", 17);
MoraleLabelsFontBox:AddItem("TrajanProBold 25", 18);
MoraleLabelsFontBox:AddItem("TrajanProBold 30", 19);
MoraleLabelsFontBox:AddItem("TrajanProBold 36", 20);
MoraleLabelsFontBox:AddItem("Verdana 10", 21);
MoraleLabelsFontBox:AddItem("Verdana 12", 22);
MoraleLabelsFontBox:AddItem("Verdana 14", 23);
MoraleLabelsFontBox:AddItem("Verdana 16", 24);
MoraleLabelsFontBox:AddItem("Verdana 18", 25);
MoraleLabelsFontBox:AddItem("Verdana 20", 26);
MoraleLabelsFontBox:AddItem("Verdana 22", 27);
MoraleLabelsFontBox:AddItem("Verdana 23", 28);
MoraleLabelsFontBox:SetSelection(findfontnumber(Settings.MoraleLabel.Font));

MoraleLabelsColorLabel = Turbine.UI.Label();
MoraleLabelsColorLabel:SetParent(SettingsWindow);
MoraleLabelsColorLabel:SetSize(250, 20);
MoraleLabelsColorLabel:SetPosition(870, 680);
MoraleLabelsColorLabel:SetText(MoraleLabelsColorLabelString);

MoraleLabelsColorBox = Turbine.UI.Lotro.TextBox();
MoraleLabelsColorBox:SetParent(SettingsWindow);
MoraleLabelsColorBox:SetSize(160, 20);
MoraleLabelsColorBox:SetPosition(1090, 675);
MoraleLabelsColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
MoraleLabelsColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColor)));
MoraleLabelsColorBox:SetText(colorToHex(Settings.MoraleLabel.FontColor));

MoraleLabelsColorHighlight1Label = Turbine.UI.Label();
MoraleLabelsColorHighlight1Label:SetParent(SettingsWindow);
MoraleLabelsColorHighlight1Label:SetSize(250, 20);
MoraleLabelsColorHighlight1Label:SetPosition(870, 710);
MoraleLabelsColorHighlight1Label:SetText(MoraleLabelsColorHighlight1LabelString);

MoraleLabelsColorHighlight1Box = Turbine.UI.Lotro.TextBox();
MoraleLabelsColorHighlight1Box:SetParent(SettingsWindow);
MoraleLabelsColorHighlight1Box:SetSize(160, 20);
MoraleLabelsColorHighlight1Box:SetPosition(1090, 705);
MoraleLabelsColorHighlight1Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
--MoraleLabelsColorHighlight1Box:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColorHighlight1)));
MoraleLabelsColorHighlight1Box:SetText(colorToHex(Settings.MoraleLabel.FontColorHighlight1));
MoraleLabelsColorHighlight1Box:SetEnabled(false);

MoraleLabelsColorHighlight2Label = Turbine.UI.Label();
MoraleLabelsColorHighlight2Label:SetParent(SettingsWindow);
MoraleLabelsColorHighlight2Label:SetSize(250, 20);
MoraleLabelsColorHighlight2Label:SetPosition(870, 740);
MoraleLabelsColorHighlight2Label:SetText(MoraleLabelsColorHighlight2LabelString);

MoraleLabelsColorHighlight2Box = Turbine.UI.Lotro.TextBox();
MoraleLabelsColorHighlight2Box:SetParent(SettingsWindow);
MoraleLabelsColorHighlight2Box:SetSize(160, 20);
MoraleLabelsColorHighlight2Box:SetPosition(1090, 735);
MoraleLabelsColorHighlight2Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
--MoraleLabelsColorHighlight2Box:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColorHighlight2)));
MoraleLabelsColorHighlight2Box:SetText(colorToHex(Settings.MoraleLabel.FontColorHighlight2));
MoraleLabelsColorHighlight2Box:SetEnabled(false);

MoraleLabelsOptionsContinuedLabel = Turbine.UI.Label();
MoraleLabelsOptionsContinuedLabel:SetParent(SettingsWindow);
MoraleLabelsOptionsContinuedLabel:SetSize(250, 20);
MoraleLabelsOptionsContinuedLabel:SetPosition(1290, 50);
MoraleLabelsOptionsContinuedLabel:SetText(MoraleLabelsOptionsContinuedString);

MoraleLabelsAlignmentLabel = Turbine.UI.Label();
MoraleLabelsAlignmentLabel:SetParent(SettingsWindow);
MoraleLabelsAlignmentLabel:SetSize(250, 20);
MoraleLabelsAlignmentLabel:SetPosition(1290, 80);
MoraleLabelsAlignmentLabel:SetText(MoraleLabelsAlignmentLabelString);

MoraleLabelsAlignmentBox = LabelledComboBox();
MoraleLabelsAlignmentBox:SetParent(SettingsWindow);
MoraleLabelsAlignmentBox:SetSize(160, 20);
MoraleLabelsAlignmentBox:SetPosition(1510, 75);
MoraleLabelsAlignmentBox:AddItem(TopLeftString, 1);
MoraleLabelsAlignmentBox:AddItem(TopCenterString, 2);
MoraleLabelsAlignmentBox:AddItem(TopRightString, 3);
MoraleLabelsAlignmentBox:AddItem(MiddleRightString, 4);
MoraleLabelsAlignmentBox:AddItem(MiddleCenterString, 5);
MoraleLabelsAlignmentBox:AddItem(MiddleLeftString, 6);
MoraleLabelsAlignmentBox:AddItem(BottomLeftString, 7);
MoraleLabelsAlignmentBox:AddItem(BottomCenterString, 8);
MoraleLabelsAlignmentBox:AddItem(BottomRightString, 9);
MoraleLabelsAlignmentBox:SetSelection(findalignmentnumber(Settings.MoraleLabel.Alignment));

PowerBarSettingsLabel = Turbine.UI.Label();
PowerBarSettingsLabel:SetParent(SettingsWindow);
PowerBarSettingsLabel:SetSize(200, 20);
PowerBarSettingsLabel:SetPosition(1290, 110);
PowerBarSettingsLabel:SetText(PowerBarSettingsLabelString);

PowerBarHeightLabel = Turbine.UI.Label();
PowerBarHeightLabel:SetParent(SettingsWindow);
PowerBarHeightLabel:SetSize(200, 20);
PowerBarHeightLabel:SetPosition(1290, 140);
PowerBarHeightLabel:SetText(PowerBarHeightLabelString);

PowerBarHeightBox = Turbine.UI.Lotro.TextBox();
PowerBarHeightBox:SetParent(SettingsWindow);
PowerBarHeightBox:SetSize(160, 20);
PowerBarHeightBox:SetPosition(1510, 135);
PowerBarHeightBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerBarHeightBox:SetText(Settings.PowerBar.Height);

PowerDefaultColorLabel = Turbine.UI.Label();
PowerDefaultColorLabel:SetParent(SettingsWindow);
PowerDefaultColorLabel:SetSize(250, 20);
PowerDefaultColorLabel:SetPosition(1290, 170);
PowerDefaultColorLabel:SetText(PowerDefaultColorLabelString);

PowerDefaultColorBox = Turbine.UI.Lotro.TextBox();
PowerDefaultColorBox:SetParent(SettingsWindow);
PowerDefaultColorBox:SetSize(160, 20);
PowerDefaultColorBox:SetPosition(1510, 165);
PowerDefaultColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerDefaultColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Color)));
PowerDefaultColorBox:SetText(colorToHex(Settings.PowerBar.Color));

PowerHighlight1ColorLabel = Turbine.UI.Label();
PowerHighlight1ColorLabel:SetParent(SettingsWindow);
PowerHighlight1ColorLabel:SetSize(250, 20);
PowerHighlight1ColorLabel:SetPosition(1290, 200);
PowerHighlight1ColorLabel:SetText(PowerHighlight1ColorString);

PowerHighlight1ColorBox = Turbine.UI.Lotro.TextBox();
PowerHighlight1ColorBox:SetParent(SettingsWindow);
PowerHighlight1ColorBox:SetSize(160, 20);
PowerHighlight1ColorBox:SetPosition(1510, 195);
PowerHighlight1ColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerHighlight1ColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Highlight1)));
PowerHighlight1ColorBox:SetText(colorToHex(Settings.PowerBar.Highlight1));

PowerHighlight2ColorLabel = Turbine.UI.Label();
PowerHighlight2ColorLabel:SetParent(SettingsWindow);
PowerHighlight2ColorLabel:SetSize(250, 20);
PowerHighlight2ColorLabel:SetPosition(1290, 230);
PowerHighlight2ColorLabel:SetText(PowerHighlight2ColorString);

PowerHighlight2ColorBox = Turbine.UI.Lotro.TextBox();
PowerHighlight2ColorBox:SetParent(SettingsWindow);
PowerHighlight2ColorBox:SetSize(160, 20);
PowerHighlight2ColorBox:SetPosition(1510, 225);
PowerHighlight2ColorBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerHighlight2ColorBox:SetForeColor(Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Highlight2)));
PowerHighlight2ColorBox:SetText(colorToHex(Settings.PowerBar.Highlight2));

PowerTreshold1Label = Turbine.UI.Label();
PowerTreshold1Label:SetParent(SettingsWindow);
PowerTreshold1Label:SetSize(250, 20);
PowerTreshold1Label:SetPosition(1290, 260);
PowerTreshold1Label:SetText(PowerTreshold1String);

PowerTreshold1Box = Turbine.UI.Lotro.TextBox();
PowerTreshold1Box:SetParent(SettingsWindow);
PowerTreshold1Box:SetSize(160, 20);
PowerTreshold1Box:SetPosition(1510, 255);
PowerTreshold1Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerTreshold1Box:SetText(Settings.PowerBar.Treshold1 * 100);

PowerTreshold2Label = Turbine.UI.Label();
PowerTreshold2Label:SetParent(SettingsWindow);
PowerTreshold2Label:SetSize(250, 20);
PowerTreshold2Label:SetPosition(1290, 290);
PowerTreshold2Label:SetText(PowerTreshold2String);

PowerTreshold2Box = Turbine.UI.Lotro.TextBox();
PowerTreshold2Box:SetParent(SettingsWindow);
PowerTreshold2Box:SetSize(160, 20);
PowerTreshold2Box:SetPosition(1510, 285);
PowerTreshold2Box:SetFont(Turbine.UI.Lotro.Font.Verdana14);
PowerTreshold2Box:SetText(Settings.PowerBar.Treshold2 * 100);

EffectOptionsLabel = Turbine.UI.Label();
EffectOptionsLabel:SetParent(SettingsWindow);
EffectOptionsLabel:SetSize(250, 20);
EffectOptionsLabel:SetPosition(1290, 320);
EffectOptionsLabel:SetText(EffectOptionsLabelString);

EffectsLabel = Turbine.UI.Label();
EffectsLabel:SetParent(SettingsWindow);
EffectsLabel:SetSize(250, 20);
EffectsLabel:SetPosition(1290, 350);
EffectsLabel:SetText(EffectsLabelString);

EffectsVisibleBox = LabelledComboBox();
EffectsVisibleBox:SetParent(SettingsWindow);
EffectsVisibleBox:SetSize(160, 20);
EffectsVisibleBox:SetPosition(1510, 345);
EffectsVisibleBox:AddItem(ShowString, true);
EffectsVisibleBox:AddItem(HideString, false);
EffectsVisibleBox:SetSelection(Settings.EffectIcons.Visible)
EffectsVisibleBox:SetEnabled(false);

EffectNamesLabel = Turbine.UI.Label();
EffectNamesLabel:SetParent(SettingsWindow);
EffectNamesLabel:SetSize(250, 20);
EffectNamesLabel:SetPosition(1290, 380);
EffectNamesLabel:SetText(EffectNamesLabelString);

EffectNamesBox = Turbine.UI.Lotro.TextBox();
EffectNamesBox:SetParent(SettingsWindow);
EffectNamesBox:SetSize(160, 60);
EffectNamesBox:SetPosition(1510, 375);
EffectNamesBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
EffectNamesConcat = "";
for i = 1, #Settings.EffectIcons.EffectStrings-1, 1 do
	EffectNamesConcat = EffectNamesConcat..Settings.EffectIcons.EffectStrings[i].."\n";
end
EffectNamesConcat = EffectNamesConcat..Settings.EffectIcons.EffectStrings[#Settings.EffectIcons.EffectStrings];
EffectNamesBox:SetText(EffectNamesConcat);

EffectSizeLabel = Turbine.UI.Label();
EffectSizeLabel:SetParent(SettingsWindow);
EffectSizeLabel:SetSize(250, 20);
EffectSizeLabel:SetPosition(1290, 450);
EffectSizeLabel:SetText(EffectSizeLabelString);

EffectSizeBox = Turbine.UI.Lotro.TextBox();
EffectSizeBox:SetParent(SettingsWindow);
EffectSizeBox:SetSize(160, 20);
EffectSizeBox:SetPosition(1510, 445);
EffectSizeBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
EffectSizeBox:SetText(Settings.EffectIcons.Size);

EffectPositionLabel = Turbine.UI.Label();
EffectPositionLabel:SetParent(SettingsWindow);
EffectPositionLabel:SetSize(250, 20);
EffectPositionLabel:SetPosition(1290, 480);
EffectPositionLabel:SetText(EffectPositionLabelString);

EffectPositionBox = LabelledComboBox();
EffectPositionBox:SetParent(SettingsWindow);
EffectPositionBox:SetSize(160, 20);
EffectPositionBox:SetPosition(1510, 475);
EffectPositionBox:AddItem(TopLeftString, 1);
EffectPositionBox:AddItem(TopCenterString, 2);
EffectPositionBox:AddItem(TopRightString, 3);
EffectPositionBox:AddItem(MiddleRightString, 4);
EffectPositionBox:AddItem(MiddleCenterString, 5);
EffectPositionBox:AddItem(MiddleLeftString, 6);
EffectPositionBox:AddItem(BottomLeftString, 7);
EffectPositionBox:AddItem(BottomCenterString, 8);
EffectPositionBox:AddItem(BottomRightString, 9);
EffectPositionBox:SetSelection(Settings.EffectIcons.Position);

EffectDurationLabel = Turbine.UI.Label();
EffectDurationLabel:SetParent(SettingsWindow);
EffectDurationLabel:SetSize(250, 20);
EffectDurationLabel:SetPosition(1290, 510);
EffectDurationLabel:SetText(EffectDurationLabelString);

EffectDurationBox = LabelledComboBox();
EffectDurationBox:SetParent(SettingsWindow);
EffectDurationBox:SetSize(160, 20);
EffectDurationBox:SetPosition(1510, 505);
EffectDurationBox:AddItem(ShowString, true);
EffectDurationBox:AddItem(HideString, false);
EffectDurationBox:SetSelection(Settings.EffectIcons.Countdown)
EffectDurationBox:SetEnabled(false);

CurableEffectAlertLabel = Turbine.UI.Label();
CurableEffectAlertLabel:SetParent(SettingsWindow);
CurableEffectAlertLabel:SetSize(250, 20);
CurableEffectAlertLabel:SetPosition(1290, 540);
CurableEffectAlertLabel:SetText(CurableEffectAlertLabelString);

CurableEffectAlertBox = LabelledComboBox();
CurableEffectAlertBox:SetParent(SettingsWindow);
CurableEffectAlertBox:SetSize(160, 20);
CurableEffectAlertBox:SetPosition(1510, 535);
CurableEffectAlertBox:AddItem(ShowString, true);
CurableEffectAlertBox:AddItem(HideString, false);
CurableEffectAlertBox:SetSelection(Settings.EffectIcons.RemoveableVisible)
CurableEffectAlertBox:SetEnabled(false);

CurableEffectsPositionLabel = Turbine.UI.Label();
CurableEffectsPositionLabel:SetParent(SettingsWindow);
CurableEffectsPositionLabel:SetSize(250, 20);
CurableEffectsPositionLabel:SetPosition(1290, 570);
CurableEffectsPositionLabel:SetText(CurableEffectsPositionString);

CurableEffectsPositionBox = LabelledComboBox();
CurableEffectsPositionBox:SetParent(SettingsWindow);
CurableEffectsPositionBox:SetSize(160, 20);
CurableEffectsPositionBox:SetPosition(1510, 565);
CurableEffectsPositionBox:AddItem(TopLeftString, 1);
CurableEffectsPositionBox:AddItem(TopCenterString, 2);
CurableEffectsPositionBox:AddItem(TopRightString, 3);
CurableEffectsPositionBox:AddItem(MiddleRightString, 4);
CurableEffectsPositionBox:AddItem(MiddleCenterString, 5);
CurableEffectsPositionBox:AddItem(MiddleLeftString, 6);
CurableEffectsPositionBox:AddItem(BottomLeftString, 7);
CurableEffectsPositionBox:AddItem(BottomCenterString, 8);
CurableEffectsPositionBox:AddItem(BottomRightString, 9);
CurableEffectsPositionBox:SetSelection(Settings.EffectIcons.RemoveablePosition);
CurableEffectsPositionBox:SetEnabled(false);

CurableEffectsSizeLabel = Turbine.UI.Label();
CurableEffectsSizeLabel:SetParent(SettingsWindow);
CurableEffectsSizeLabel:SetSize(250, 20);
CurableEffectsSizeLabel:SetPosition(1290, 600);
CurableEffectsSizeLabel:SetText(CurableEffectsSizeLabelString);

CurableEffectsSizeBox = Turbine.UI.Lotro.TextBox();
CurableEffectsSizeBox:SetParent(SettingsWindow);
CurableEffectsSizeBox:SetSize(160, 20);
CurableEffectsSizeBox:SetPosition(1510, 595);
CurableEffectsSizeBox:SetFont(Turbine.UI.Lotro.Font.Verdana14);
CurableEffectsSizeBox:SetText(Settings.EffectIcons.RemoveableSize);
CurableEffectsSizeBox:SetEnabled(false);

--[[PreviewControl = Turbine.UI.Control();
PreviewControl:SetParent(SettingsWindow);
PreviewControl:SetSize(255, 130);
PreviewControl:SetPosition(1415, 625);
--PreviewControl:SetBackColor(Turbine.UI.Color.Red);

TestEntityControl = Turbine.UI.Control();
TestEntityControl:SetParent(PreviewControl);
TestEntityControl:SetSize(MoraleBarWidthBox:GetText(), MoraleBarHeightBox:GetText());
TestEntityControl:SetPosition(255/2 - MoraleBarWidthBox:GetText()/2, 130/2 - MoraleBarHeightBox:GetText()/2);

TestBackgroundControl = Turbine.UI.Control();
TestBackgroundControl:SetParent(TestEntityControl);
TestBackgroundControl:SetSize(MoraleBarWidthBox:GetText(), MoraleBarHeightBox:GetText());
TestBackgroundControl:SetBackColor(Turbine.UI.Color(hexToColor(MoraleBarBackgroundBox:GetText()).R, hexToColor(MoraleBarBackgroundBox:GetText()).G, hexToColor(MoraleBarBackgroundBox:GetText()).B));

TestPlayerControl = Turbine.UI.Control();
TestBackgroundControl:SetParent(TestEntityControl);
TestBackgroundControl:SetSize(MoraleBarWidthBox:GetText() * 0.66, MoraleBarHeightBox:GetText());]]




--[[PreviewButton = Turbine.UI.Lotro.Button();
PreviewButton:SetParent(SettingsWindow);
PreviewButton:SetSize(120, 20);
PreviewButton:SetPosition(1290, 625);
PreviewButton:SetText("Preview");]]

AcceptButton = Turbine.UI.Lotro.Button();
AcceptButton:SetParent(SettingsWindow);
AcceptButton:SetSize(120, 20);
AcceptButton:SetPosition(1290, 655);
AcceptButton:SetText("Accept");
AcceptButton.MouseClick = function()

	Settings.PartyVitalsVisible = PartyVitalsBox:GetSelection();
	Settings.PlayerVitalsVisible = PlayerVitalsBox:GetSelection();
	Settings.TargetVitalsVisible = TargetVitalsBox:GetSelection();

	if GridLayout3Box:GetSelection() == 1 then
		Settings.GridLayout3 = {1, 3}; -- [1x3 grid]
	elseif GridLayout3Box:GetSelection() == 2 then
		Settings.GridLayout3 = {3, 1}
	end
	
	if GridLayout6Box:GetSelection() == 1 then
		Settings.GridLayout6 = {1, 6};
	elseif GridLayout6Box:GetSelection() == 2 then
		Settings.GridLayout6 = {2, 3};
	elseif GridLayout6Box:GetSelection() == 3 then
		Settings.GridLayout6 = {3, 2};
	elseif GridLayout6Box:GetSelection() == 4 then
		Settings.GridLayout6 = {6, 1};
	end
	
	if GridLayout12Box:GetSelection() == 1 then
		Settings.GridLayout12 = {1, 12};
	elseif GridLayout12Box:GetSelection() == 2 then
		Settings.GridLayout12 = {2, 6};
	elseif GridLayout12Box:GetSelection() == 3 then
		Settings.GridLayout12 = {3, 4};
	elseif GridLayout12Box:GetSelection() == 4 then
		Settings.GridLayout12 = {4, 3};
	elseif GridLayout12Box:GetSelection() == 5 then
		Settings.GridLayout12 = {6, 2};
	elseif GridLayout12Box:GetSelection() == 6 then
		Settings.GridLayout12 = {12, 1};
	end

	if GridLayout18Box:GetSelection() == 1 then
		Settings.GridLayout18 = {1, 18};
	elseif GridLayout18Box:GetSelection() == 2 then
		Settings.GridLayout18 = {2, 9};
	elseif GridLayout18Box:GetSelection() == 3 then
		Settings.GridLayout18 = {3, 6};
	elseif GridLayout18Box:GetSelection() == 4 then
		Settings.GridLayout18 = {6, 3};
	elseif GridLayout18Box:GetSelection() == 5 then
		Settings.GridLayout18 = {9, 2};
	elseif GridLayout18Box:GetSelection() == 6 then
		Settings.GridLayout18 = {18, 1};
	end
	
	if GridLayout24Box:GetSelection() == 1 then
		Settings.GridLayout24 = {1, 24};
	elseif GridLayout24Box:GetSelection() == 2 then
		Settings.GridLayout24 = {2, 12};
	elseif GridLayout24Box:GetSelection() == 3 then
		Settings.GridLayout24 = {3, 8};
	elseif GridLayout24Box:GetSelection() == 4 then
		Settings.GridLayout24 = {4, 6};
	elseif GridLayout24Box:GetSelection() == 5 then
		Settings.GridLayout24 = {6, 4};
	elseif GridLayout24Box:GetSelection() == 6 then
		Settings.GridLayout24 = {8, 3};
	elseif GridLayout24Box:GetSelection() == 7 then
		Settings.GridLayout24 = {12, 2};
	elseif GridLayout24Box:GetSelection() == 8 then
		Settings.GridLayout24 = {24, 1};
	end

	Settings.GridDistance = GridDistanceBox:GetText();

	Settings.FillMode = FillModeBox:GetSelection();

	Settings.PlayerName.MaxCharacters = MaxCharsBox:GetSelection();
	Settings.PlayerName.Font = findfont(NameFontBox);
	Settings.PlayerName.AlertString = AlertStringBox:GetText();
	Settings.PlayerName.AlertFont = findfont(AlertFontBox);
	Settings.PlayerName.AlertColor = Turbine.UI.Color(hexToColor(AlertColorBox:GetText()).R, hexToColor(AlertColorBox:GetText()).G, hexToColor(AlertColorBox:GetText()).B);
	Settings.PlayerName.AlertDuration = AlertDurationBox:GetText();
	Settings.PlayerName.DefaultColor = Turbine.UI.Color(hexToColor(DefaultNameColorBox:GetText()).R, hexToColor(DefaultNameColorBox:GetText()).G, hexToColor(DefaultNameColorBox:GetText()).B);
	Settings.PlayerName.ClassColorsVisible = ClassColorsVisibleBox:GetSelection();
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning] = Turbine.UI.Color(hexToColor(NameColorBeorningBox:GetText()).R, hexToColor(NameColorBeorningBox:GetText()).G, hexToColor(NameColorBeorningBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar] = Turbine.UI.Color(hexToColor(NameColorBurglarBox:GetText()).R, hexToColor(NameColorBurglarBox:GetText()).G, hexToColor(NameColorBurglarBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain] = Turbine.UI.Color(hexToColor(NameColorCaptainBox:GetText()).R, hexToColor(NameColorCaptainBox:GetText()).G, hexToColor(NameColorCaptainBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion] = Turbine.UI.Color(hexToColor(NameColorChampionBox:GetText()).R, hexToColor(NameColorChampionBox:GetText()).G, hexToColor(NameColorChampionBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian] = Turbine.UI.Color(hexToColor(NameColorGuardianBox:GetText()).R, hexToColor(NameColorGuardianBox:GetText()).G, hexToColor(NameColorGuardianBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter] = Turbine.UI.Color(hexToColor(NameColorHunterBox:GetText()).R, hexToColor(NameColorHunterBox:GetText()).G, hexToColor(NameColorHunterBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Turbine.UI.Color(hexToColor(NameColorLoreMasterBox:GetText()).R, hexToColor(NameColorLoreMasterBox:GetText()).G, hexToColor(NameColorLoreMasterBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel] = Turbine.UI.Color(hexToColor(NameColorMinstrelBox:GetText()).R, hexToColor(NameColorMinstrelBox:GetText()).G, hexToColor(NameColorMinstrelBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Turbine.UI.Color(hexToColor(NameColorRuneKeeperBox:GetText()).R, hexToColor(NameColorRuneKeeperBox:GetText()).G, hexToColor(NameColorRuneKeeperBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden] = Turbine.UI.Color(hexToColor(NameColorWardenBox:GetText()).R, hexToColor(NameColorWardenBox:GetText()).G, hexToColor(NameColorWardenBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Turbine.UI.Color(hexToColor(NameColorBlackArrowBox:GetText()).R, hexToColor(NameColorBlackArrowBox:GetText()).G, hexToColor(NameColorBlackArrowBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler] = Turbine.UI.Color(hexToColor(NameColorDefilerBox:GetText()).R, hexToColor(NameColorDefilerBox:GetText()).G, hexToColor(NameColorDefilerBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver] = Turbine.UI.Color(hexToColor(NameColorReaverBox:GetText()).R, hexToColor(NameColorReaverBox:GetText()).G, hexToColor(NameColorReaverBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker] = Turbine.UI.Color(hexToColor(NameColorStalkerBox:GetText()).R, hexToColor(NameColorStalkerBox:GetText()).G, hexToColor(NameColorStalkerBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader] = Turbine.UI.Color(hexToColor(NameColorWarLeaderBox:GetText()).R, hexToColor(NameColorWarLeaderBox:GetText()).G, hexToColor(NameColorWarLeaderBox:GetText()).B);
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver] = Turbine.UI.Color(hexToColor(NameColorWeaverBox:GetText()).R, hexToColor(NameColorWeaverBox:GetText()).G, hexToColor(NameColorWeaverBox:GetText()).B);
	if NameFontStyleBox:GetSelection() == 1 then
		Settings.PlayerName.Outline = Turbine.UI.FontStyle.Outline; 
	else
		Settings.PlayerName.Outline = Turbine.UI.FontStyle.None; 
	end
	Settings.PlayerName.OutlineColor = Turbine.UI.Color(hexToColor(NameOutlineColorBox:GetText()).R, hexToColor(NameOutlineColorBox:GetText()).G, hexToColor(NameOutlineColorBox:GetText()).B);
	Settings.PlayerName.Alignment = findalignment(NamePositionBox);

	Settings.ClassIcon.Visible = ClassIconsBox:GetSelection();
	Settings.ClassIcon.Size = ClassIconsSizeBox:GetSelection(); -- [1 = small, 2 = big]
	Settings.ClassIcon.Position = ClassIconsPositionBox:GetSelection(); -- [1 = TopLeft, 2 = TopRight, 3 = BottomLeft, 4 = BottomRight]

	Settings.LeaderIcon.Visible = LeaderIconBox:GetSelection();
	Settings.LeaderIcon.Position = LeaderIconPositionBox:GetSelection(); -- [1 = TopLeft, 2 = TopRight, 3 = BottomLeft, 4 = BottomRight]

	Settings.MoraleBar.Width = MoraleBarWidthBox:GetText();
	Settings.MoraleBar.Height = MoraleBarHeightBox:GetText();
	Settings.MoraleBar.BackgroundColor = Turbine.UI.Color(0.8, hexToColor(MoraleBarBackgroundBox:GetText()).R, hexToColor(MoraleBarBackgroundBox:GetText()).G, hexToColor(MoraleBarBackgroundBox:GetText()).B); -- semi transparent grey background
	Settings.MoraleBar.BackgroundHighlightVisible = BackgroundHighlightBox:GetSelection();
	Settings.MoraleBar.BackgroundHighlight1 = Turbine.UI.Color(0.8, hexToColor(BackgroundHighlight1Box:GetText()).R, hexToColor(BackgroundHighlight1Box:GetText()).G, hexToColor(BackgroundHighlight1Box:GetText()).B);
	Settings.MoraleBar.BackgroundHighlight2 = Turbine.UI.Color(0.8, hexToColor(BackgroundHighlight2Box:GetText()).R, hexToColor(BackgroundHighlight2Box:GetText()).G, hexToColor(BackgroundHighlight2Box:GetText()).B);
	Settings.MoraleBar.BackgroundDead = Turbine.UI.Color(hexToColor(DeadColorBox:GetText()).R, hexToColor(DeadColorBox:GetText()).G, hexToColor(DeadColorBox:GetText()).B);
	Settings.MoraleBar.BackgroundLinkLost = Turbine.UI.Color(hexToColor(LinkLostColorBox:GetText()).R, hexToColor(LinkLostColorBox:GetText()).G, hexToColor(LinkLostColorBox:GetText()).B);
	Settings.MoraleBar.DefaultNormalColor = Turbine.UI.Color(0.5, hexToColor(DefaultColorBox:GetText()).R, hexToColor(DefaultColorBox:GetText()).G, hexToColor(DefaultColorBox:GetText()).B);
	Settings.MoraleBar.DefaultHighlight1 = Turbine.UI.Color(hexToColor(Highlight1ColorBox:GetText()).R, hexToColor(Highlight1ColorBox:GetText()).G, hexToColor(Highlight1ColorBox:GetText()).B);
	Settings.MoraleBar.DefaultHighlight2 = Turbine.UI.Color(hexToColor(Highlight2ColorBox:GetText()).R, hexToColor(Highlight2ColorBox:GetText()).G, hexToColor(Highlight2ColorBox:GetText()).B);
	Settings.MoraleBar.Treshold1 = Treshold1Box:GetText() / 100;
	Settings.MoraleBar.Treshold2 = Treshold2Box:GetText() / 100;
	Settings.MoraleBar.BubbleVisible = BubbleVisibleBox:GetSelection();
	Settings.MoraleBar.BubbleColor = Turbine.UI.Color(0.8, hexToColor(BubbleColorBox:GetText()).R, hexToColor(BubbleColorBox:GetText()).G, hexToColor(BubbleColorBox:GetText()).B);
	Settings.MoraleBar.DreadVisible = DreadVisibleBox:GetSelection();
	Settings.MoraleBar.DreadColor = Turbine.UI.Color(hexToColor(DreadColorBox:GetText()).R, hexToColor(DreadColorBox:GetText()).G, hexToColor(DreadColorBox:GetText()).B);
	Settings.MoraleBar.ClassColorsVisible = ClassColorsVisibleBox_Morale:GetSelection();
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Beorning] = Turbine.UI.Color(hexToColor(NameColorBeorningBox:GetText()).R, hexToColor(NameColorBeorningBox:GetText()).G, hexToColor(NameColorBeorningBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Burglar] = Turbine.UI.Color(hexToColor(NameColorBurglarBox:GetText()).R, hexToColor(NameColorBurglarBox:GetText()).G, hexToColor(NameColorBurglarBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Captain] = Turbine.UI.Color(hexToColor(NameColorCaptainBox:GetText()).R, hexToColor(NameColorCaptainBox:GetText()).G, hexToColor(NameColorCaptainBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Champion] = Turbine.UI.Color(hexToColor(NameColorChampionBox:GetText()).R, hexToColor(NameColorChampionBox:GetText()).G, hexToColor(NameColorChampionBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Guardian] = Turbine.UI.Color(hexToColor(NameColorGuardianBox:GetText()).R, hexToColor(NameColorGuardianBox:GetText()).G, hexToColor(NameColorGuardianBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Hunter] = Turbine.UI.Color(hexToColor(NameColorHunterBox:GetText()).R, hexToColor(NameColorHunterBox:GetText()).G, hexToColor(NameColorHunterBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Turbine.UI.Color(hexToColor(NameColorLoreMasterBox:GetText()).R, hexToColor(NameColorLoreMasterBox:GetText()).G, hexToColor(NameColorLoreMasterBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Minstrel] = Turbine.UI.Color(hexToColor(NameColorMinstrelBox:GetText()).R, hexToColor(NameColorMinstrelBox:GetText()).G, hexToColor(NameColorMinstrelBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Turbine.UI.Color(hexToColor(NameColorRuneKeeperBox:GetText()).R, hexToColor(NameColorRuneKeeperBox:GetText()).G, hexToColor(NameColorRuneKeeperBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Warden] = Turbine.UI.Color(hexToColor(NameColorWardenBox:GetText()).R, hexToColor(NameColorWardenBox:GetText()).G, hexToColor(NameColorWardenBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Turbine.UI.Color(hexToColor(NameColorBlackArrowBox:GetText()).R, hexToColor(NameColorBlackArrowBox:GetText()).G, hexToColor(NameColorBlackArrowBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Defiler] = Turbine.UI.Color(hexToColor(NameColorDefilerBox:GetText()).R, hexToColor(NameColorDefilerBox:GetText()).G, hexToColor(NameColorDefilerBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Reaver] = Turbine.UI.Color(hexToColor(NameColorReaverBox:GetText()).R, hexToColor(NameColorReaverBox:GetText()).G, hexToColor(NameColorReaverBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Stalker] = Turbine.UI.Color(hexToColor(NameColorStalkerBox:GetText()).R, hexToColor(NameColorStalkerBox:GetText()).G, hexToColor(NameColorStalkerBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.WarLeader] = Turbine.UI.Color(hexToColor(NameColorWarLeaderBox:GetText()).R, hexToColor(NameColorWarLeaderBox:GetText()).G, hexToColor(NameColorWarLeaderBox:GetText()).B);
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Weaver] = Turbine.UI.Color(hexToColor(NameColorWeaverBox:GetText()).R, hexToColor(NameColorWeaverBox:GetText()).G, hexToColor(NameColorWeaverBox:GetText()).B);

	Settings.MoraleLabel.Visible = MoraleLabelsVisibleBox:GetSelection();
	Settings.MoraleLabel.Mode = MoraleLabelsModeBox:GetSelection(); -- [1 = x/y, 2 = -x]
	Settings.MoraleLabel.Short = MoraleLabelsShortBox:GetSelection();
	Settings.MoraleLabel.Font = findfont(MoraleLabelsFontBox);
	Settings.MoraleLabel.FontColor = Turbine.UI.Color(hexToColor(MoraleLabelsColorBox:GetText()).R, hexToColor(MoraleLabelsColorBox:GetText()).G, hexToColor(MoraleLabelsColorBox:GetText()).B);
	Settings.MoraleLabel.FontColorHighlight1 = Turbine.UI.Color(hexToColor(MoraleLabelsColorHighlight1Box:GetText()).R, hexToColor(MoraleLabelsColorHighlight1Box:GetText()).G, hexToColor(MoraleLabelsColorHighlight1Box:GetText()).B);
	Settings.MoraleLabel.FontColorHighlight2 = Turbine.UI.Color(hexToColor(MoraleLabelsColorHighlight2Box:GetText()).R, hexToColor(MoraleLabelsColorHighlight2Box:GetText()).G, hexToColor(MoraleLabelsColorHighlight2Box:GetText()).B);
	Settings.MoraleLabel.Alignment = findalignment(MoraleLabelsAlignmentBox);
	
	Settings.PowerBar.Width = Settings.MoraleBar.Width;
	Settings.PowerBar.Height = PowerBarHeightBox:GetText();
	Settings.PowerBar.Color = Turbine.UI.Color(0.7, hexToColor(PowerDefaultColorBox:GetText()).R, hexToColor(PowerDefaultColorBox:GetText()).G, hexToColor(PowerDefaultColorBox:GetText()).B);
	Settings.PowerBar.Highlight1 = Turbine.UI.Color(hexToColor(PowerHighlight1ColorBox:GetText()).R, hexToColor(PowerHighlight1ColorBox:GetText()).G, hexToColor(PowerHighlight1ColorBox:GetText()).B);
	Settings.PowerBar.Highlight2 = Turbine.UI.Color(hexToColor(PowerHighlight2ColorBox:GetText()).R, hexToColor(PowerHighlight2ColorBox:GetText()).G, hexToColor(PowerHighlight2ColorBox:GetText()).B);
	Settings.PowerBar.Treshold1 = PowerTreshold1Box:GetText() / 100;
	Settings.PowerBar.Treshold2 = PowerTreshold2Box:GetText() / 100;

	
	Settings.EffectIcons.EffectStrings = {};
	for s in EffectNamesBox:GetText():gmatch("[^\r\n]+") do
		table.insert(Settings.EffectIcons.EffectStrings, s);
	end
	
	Settings.EffectIcons.Visible = EffectsVisibleBox:GetSelection();
	Settings.EffectIcons.Number = #Settings.EffectIcons.EffectStrings;
	Settings.EffectIcons.Size = EffectSizeBox:GetText();
	Settings.EffectIcons.Position = EffectPositionBox:GetSelection(); -- [1 = TopLeft, 2 = TopCenter, 3 = TopRight, 4 = MiddleLeft, 5 = MiddleCenter, 6 = MiddleRight, 7 = BottomLeft, 8 = BottomCenter, 9 = BottomRight]
	Settings.EffectIcons.Countdown = EffectDurationBox:GetSelection();
	Settings.EffectIcons.RemoveableVisible = CurableEffectAlertBox:GetSelection();
	Settings.EffectIcons.RemoveableSize = CurableEffectsSizeBox:GetText();
	Settings.EffectIcons.RemoveablePosition = CurableEffectsPositionBox:GetSelection(); -- [1 = TopLeft, 2 = TopCenter, 3 = TopRight, 4 = MiddleLeft, 5 = MiddleCenter, 6 = MiddleRight, 7 = BottomLeft, 8 = BottomCenter, 9 = BottomRight]

	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Settings", Settings);
	Turbine.PluginManager.LoadPlugin("RaidHealzReloader");
end

--[[ResetButton = Turbine.UI.Lotro.Button();
ResetButton:SetParent(SettingsWindow);
ResetButton:SetSize(120, 20);
ResetButton:SetPosition(1290, 685);
ResetButton:SetText("Default Settings");
ResetButton.MouseClick = function()
	
end]]

--[[VitalsButton = Turbine.UI.Button();
VitalsButton:SetParent(SettingsWindow);
VitalsButton:SetPosition(20, 50);
VitalsButton:SetSize(16, 16);
if VitalsButtonState == true then
	VitalsButton:SetBackground(0x4112003c);
else
	VitalsButton:SetBackground(0x4112003d);
end
VitalsButton:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
VitalsButton.MouseClick = function()
	if VitalsButtonState == true then
		Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, false );
		VitalsButton:SetBackground(0x4112003d);
		VitalsButtonState = false;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_VitalsState", "false");
		Turbine.Shell.WriteLine("[RaidHealz] The standard LOTRO party vitals are now hidden.");
	else
		Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, true );
		VitalsButton:SetBackground(0x4112003c);
		VitalsButtonState = true;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_VitalsState", "true");
		Turbine.Shell.WriteLine("[RaidHealz] The standard LOTRO party vitals will be displayed.");
	end
end

VitalsLabel = Turbine.UI.Label();
VitalsLabel:SetParent(SettingsWindow);
VitalsLabel:SetSize(200, 20);
VitalsLabel:SetPosition(50, 53);
VitalsLabel:SetText("Show party vitals");


if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_LabelState") ~= "false" then
	LabelButtonState = true;
else
	LabelButtonState = false;
end

LabelButton = Turbine.UI.Button();
LabelButton:SetParent(SettingsWindow);
LabelButton:SetPosition(20, 75);
LabelButton:SetSize(16, 16);
if LabelButtonState == true then
	LabelButton:SetBackground("EruadarionPlugins/RaidHealz/Resources/InfoLabelBlue.tga");
else
	LabelButton:SetBackground("EruadarionPlugins/RaidHealz/Resources/InfoLabelGray.tga");
end
LabelButton:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
LabelButton.MouseClick = function()
	if LabelButtonState == true then
		LabelButton:SetBackground("EruadarionPlugins/RaidHealz/Resources/InfoLabelGray.tga");
		LabelButtonState = false;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_LabelState", "false");
		for tempIndex = 1, MemberCount, 1 do
			if Player[tempIndex].member:GetMorale() ~= 0 and Player[tempIndex].member:IsLinkDead() ~= true then
				InfoLabel[tempIndex]:SetText("");
			end
		end
		Turbine.Shell.WriteLine("[RaidHealz] Morale numbers are now hidden.");
	else
		LabelButton:SetBackground("EruadarionPlugins/RaidHealz/Resources/InfoLabelBlue.tga");
		LabelButtonState = true;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_LabelState", "true");
		for tempIndex = 1, MemberCount, 1 do
			if Player[tempIndex].member:GetMorale() ~= 0 and Player[tempIndex].member:IsLinkDead() ~= true then
				InfoLabel[tempIndex]:SetText(Player[tempIndex].moralestring);
			end
		end
		Turbine.Shell.WriteLine("[RaidHealz] Morale numbers are now displayed.");
	end
end

MoraleLabel = Turbine.UI.Label();
MoraleLabel:SetParent(SettingsWindow);
MoraleLabel:SetSize(200, 20);
MoraleLabel:SetPosition(50, 78);
MoraleLabel:SetText("Show morale numbers");


if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_PowerState") ~= "false" then
	PowerButtonState = true;
else
	PowerButtonState = false;
end

PowerButton = Turbine.UI.Button();
PowerButton:SetParent(SettingsWindow);
PowerButton:SetPosition(20, 100);
PowerButton:SetSize(16, 16);
if PowerButtonState == true then
	PowerButton:SetBackground(0x4100019f);
else
	PowerButton:SetBackground(0x4100019e);
end
PowerButton:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
PowerButton.MouseClick = function()
	if PowerButtonState == true then
		PowerButton:SetBackground(0x4100019e);
		PowerButtonState = false;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_PowerState", "false");
		for tempIndex = 1, MemberCount, 1 do
			PowerControl[tempIndex]:SetBackColor("");
		end
		Turbine.Shell.WriteLine("[RaidHealz] Power bars are now hidden.");
	else
		PowerButton:SetBackground(0x4100019f);
		PowerButtonState = true;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_PowerState", "true");
		for tempIndex = 1, MemberCount, 1 do
			if Player[tempIndex].member:GetPower() / Player[tempIndex].member:GetMaxPower() <= 0.25 and Player[tempIndex].class ~= Turbine.Gameplay.Class.Beorning then
				PowerControl[tempIndex]:SetBackColor(TTurbine.UI.Color(1, 1, 0, 1));
			else
				PowerControl[tempIndex]:SetBackColor(Turbine.UI.Color(0.7, 0, 0, 0.8));
			end
		end
		Turbine.Shell.WriteLine("[RaidHealz] Power bars are now visible.");
	end
end

PowerLabel = Turbine.UI.Label();
PowerLabel:SetParent(SettingsWindow);
PowerLabel:SetSize(200, 20);
PowerLabel:SetPosition(50, 103);
PowerLabel:SetText("Show power bars");

if Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_ClassState") ~= "false" then
	ClassButtonState = true;
else
	ClassButtonState = false;
end

ClassButton = Turbine.UI.Button();
ClassButton:SetParent(SettingsWindow);
ClassButton:SetPosition(20, 125);
ClassButton:SetSize(16, 16);
if ClassButtonState == true then
	ClassButton:SetBackground(0x41110fc5);
else
	ClassButton:SetBackground(0x4111079b);
end
ClassButton:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
ClassButton.MouseClick = function()
	if ClassButtonState == true then
		ClassButton:SetBackground(0x4111079b);
		ClassButtonState = false;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_ClassState", "false");
		for tempIndex = 1, MemberCount, 1 do
			ClassControl[tempIndex]:SetVisible(false);
		end
		Turbine.Shell.WriteLine("[RaidHealz] Class icons are now hidden.");
	else
		ClassButton:SetBackground(0x41110fc5);
		ClassButtonState = true;
		Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_ClassState", "true");
		for tempIndex = 1, MemberCount, 1 do
			ClassControl[tempIndex]:SetVisible(true);
		end
		Turbine.Shell.WriteLine("[RaidHealz] Class icons are now visible.");
	end
end

ClassLabel = Turbine.UI.Label();
ClassLabel:SetParent(SettingsWindow);
ClassLabel:SetSize(200, 20);
ClassLabel:SetPosition(50, 128);
ClassLabel:SetText("Show class icons");


TextBox1Label = Turbine.UI.Label();
TextBox1Label:SetParent(SettingsWindow);
TextBox1Label:SetSize(200, 20);
TextBox1Label:SetPosition(20, 153);
TextBox1Label:SetText("Buff 1:");

BuffTextBox1 = Turbine.UI.Lotro.TextBox();
BuffTextBox1:SetParent(SettingsWindow);
BuffTextBox1:SetPosition(20, 168);
BuffTextBox1:SetSize(200, 20);
BuffTextBox1:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BuffTextBox1:SetText(BuffString[1]);

TextBox2Label = Turbine.UI.Label();
TextBox2Label:SetParent(SettingsWindow);
TextBox2Label:SetSize(200, 20);
TextBox2Label:SetPosition(20, 198);
TextBox2Label:SetText("Buff 2:");

BuffTextBox2 = Turbine.UI.Lotro.TextBox();
BuffTextBox2:SetParent(SettingsWindow);
BuffTextBox2:SetPosition(20, 213);
BuffTextBox2:SetSize(200, 20);
BuffTextBox2:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BuffTextBox2:SetText(BuffString[2]);

TextBox3Label = Turbine.UI.Label();
TextBox3Label:SetParent(SettingsWindow);
TextBox3Label:SetSize(200, 20);
TextBox3Label:SetPosition(20, 243);
TextBox3Label:SetText("Buff 3:");

BuffTextBox3 = Turbine.UI.Lotro.TextBox();
BuffTextBox3:SetParent(SettingsWindow);
BuffTextBox3:SetPosition(20, 258);
BuffTextBox3:SetSize(200, 20);
BuffTextBox3:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BuffTextBox3:SetText(BuffString[3]);

TextBox4Label = Turbine.UI.Label();
TextBox4Label:SetParent(SettingsWindow);
TextBox4Label:SetSize(200, 20);
TextBox4Label:SetPosition(20, 288);
TextBox4Label:SetText("Buff 4:");

BuffTextBox4 = Turbine.UI.Lotro.TextBox();
BuffTextBox4:SetParent(SettingsWindow);
BuffTextBox4:SetPosition(20, 303);
BuffTextBox4:SetSize(200, 20);
BuffTextBox4:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BuffTextBox4:SetText(BuffString[4]);

TextBox5Label = Turbine.UI.Label();
TextBox5Label:SetParent(SettingsWindow);
TextBox5Label:SetSize(200, 20);
TextBox5Label:SetPosition(20, 333);
TextBox5Label:SetText("Alerter:");

BuffTextBox5 = Turbine.UI.Lotro.TextBox();
BuffTextBox5:SetParent(SettingsWindow);
BuffTextBox5:SetPosition(20, 348);
BuffTextBox5:SetSize(200, 20);
BuffTextBox5:SetFont(Turbine.UI.Lotro.Font.Verdana14);
BuffTextBox5:SetText(AlerterString);

TextBox1Button = Turbine.UI.Lotro.GoldButton();
TextBox1Button:SetParent(SettingsWindow);
TextBox1Button:SetPosition(230, 168);
TextBox1Button:SetText("OK");
TextBox1Button.MouseClick = function()
	BuffString[1] = BuffTextBox1:GetText();
	if BuffString[1] == "" then
		BuffString[1] = "<no buff>";
		BuffTextBox1:SetText(BuffString[1]);
	end
	Turbine.Shell.WriteLine("[RaidHealz] Buff 1 keyword is now: "..BuffString[1]);
	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Buff_1", BuffString[1]);
	SetFirstBuffs();
end

TextBox2Button = Turbine.UI.Lotro.GoldButton();
TextBox2Button:SetParent(SettingsWindow);
TextBox2Button:SetPosition(230, 213);
TextBox2Button:SetText("OK");
TextBox2Button.MouseClick = function()
	BuffString[2] = BuffTextBox2:GetText();
	if BuffString[2] == "" then
		BuffString[2] = "<no buff>";
		BuffTextBox2:SetText(BuffString[2]);
	end
	Turbine.Shell.WriteLine("[RaidHealz] Buff 2 keyword is now: "..BuffString[2]);
	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Buff_2", BuffString[2]);
	SetFirstBuffs();
end

TextBox3Button = Turbine.UI.Lotro.GoldButton();
TextBox3Button:SetParent(SettingsWindow);
TextBox3Button:SetPosition(230, 258);
TextBox3Button:SetText("OK");
TextBox3Button.MouseClick = function()
	BuffString[3] = BuffTextBox3:GetText();
	if BuffString[3] == "" then
		BuffString[3] = "<no buff>";
		BuffTextBox3:SetText(BuffString[3]);
	end
	Turbine.Shell.WriteLine("[RaidHealz] Buff 3 keyword is now: "..BuffString[3]);
	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Buff_3", BuffString[3]);
	SetFirstBuffs();
end

TextBox4Button = Turbine.UI.Lotro.GoldButton();
TextBox4Button:SetParent(SettingsWindow);
TextBox4Button:SetPosition(230, 303);
TextBox4Button:SetText("OK");
TextBox4Button.MouseClick = function()
	BuffString[4] = BuffTextBox4:GetText();
	if BuffString[4] == "" then
		BuffString[4] = "<no buff>";
		BuffTextBox4:SetText(BuffString[4]);
	end
	Turbine.Shell.WriteLine("[RaidHealz] Buff 4 keyword is now: "..BuffString[4]);
	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Buff_4", BuffString[4]);
	SetFirstBuffs();
end

TextBox5Button = Turbine.UI.Lotro.GoldButton();
TextBox5Button:SetParent(SettingsWindow);
TextBox5Button:SetPosition(230, 348);
TextBox5Button:SetText("OK");
TextBox5Button.MouseClick = function()
	--AlerterString = BuffTextBox5:GetText();
	--Turbine.Shell.WriteLine("[RaidHealz] Alerter keyword is now: "..AlerterString);
	--Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidHealz_Alerter", AlerterString);
	Turbine.Shell.WriteLine(tostring(GridLayout3Box:GetSelection()));
end

box = LabelledComboBox();
box:SetParent(SettingsWindow);
box:SetSize(250, 50);
box:SetPosition(400, 400);
for i = 1, 30, 1 do
box:AddItem("test"..i, 10*i);
end
box:SetSelection(230);
]]